2007-05-17  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend.c, src/Makefile.am:
	remove last traces of arts (based on patch by
	Chris Robinson <chris.kcat@gmail.com>)

2007-05-16  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac, CMakeLists.txt, src/alc/alc_device.c:
	remove arts support (patch by Chris Robinson
	<chris.kcat@gmail.com>)
	
	* src/backends/alc_backend_arts.c: deleted

2007-05-13  Prakash Punnoor <prakash@punnoor.de>

	* src/al_source.c: implement some missing 1.1 functions
	(patch by Chris Robinson <chris.kcat@gmail.com>)
	
	* src/al_mixer.c: unlock mixer_pause mutex when nothing
	converted (patch by Chris Robinson <chris.kcat@gmail.com>)
	
	* src/alc/alc_error.h, src/alc/alc_error.c: simplify ALC
	error handling (patch by Chris Robinson
	<chris.kcat@gmail.com>)

2007-05-09  Prakash Punnoor <prakash@punnoor.de>

	* src/alc/alc_device.c, src/alc/alc_device.h,
	src/alc/alc_context.c: proper Device enumeration
	(patch by Chris Robinson <chris.kcat@gmail.com>);
	minor clean-up and optimization

2007-04-21  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend_alsa: set periods to 4 to fix
	statics in 4ch mode
	
	* alc/alc_context.h: set canon speed to 48kHz to match most
	soundcards

2007-04-14  Prakash Punnoor <prakash@punnoor.de>

	* src/al_buffer.c : optimization and correct error handling

2007-02-19  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindOpenALBackends.cmake: add definitions
	only to CFLAGS to prevent nasm/yasm picking them up

2007-02-18  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/CMakeASMInformation.cmake: sync to
	aften version
	
	* src/arch/i386/x86_cpu_caps_detect_prk.nasm: fix segment
	label

2006-11-01  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend_darwin.c: make it compilable and
	mostly warning-free
	
	* src/al_main.h, src/al_main.c: put _alFloatMul pointer into
	object and initialise to make it compilable on Darwin
	
	* src/audioconvert/ac_misc.c: simplify and get rid of some
	warnings
	
	* src/extensions/al_ext_vorbis.c: rename shadowed var
	
	* configure.ac, admin/CMakeModules/CMakeASMInformation.cmake:
	pass correct ASM flags for Intel Macs

2006-10-30  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindCompilerSIMDFlags.cmake: deleted
	
	* Makefile.am: update extra files
	
	* src/al_debug.c: prevent warning if _GNU_SOURCE was alread defined
	
	* src/arch/i386/x86_cpu_caps_detect_prk.nasm: fix nasm not generating
	symbol

2006-10-30  Sven Panne  <sven.panne@aedion.de>

	* src/extensions/al_ext_vorbis.c: Added a workaround for incorrect Ogg
	Vorbis headers, avoiding a harmless GCC warning.

	* src/al_dlopen.c, src/al_dlopen.h, src/al_ext.c, src/alc/alc_context.c:
	Centralized casts which are not allowed in ISO C. They are necessary,
	anyway, due to API bugs in POSIX and OpenAL.

	* src/al_buffer.c: Fixed AL_SIZE buffer query.

	* src/al_threadlib.c: Simplified POSIX threading a bit.

	* src/al_dlopen.c, src/al_dlopen.h: Reverted changes to dlopen stuff.

	* src/arch/i386/x86_simd_support_prk.h: Warning police.

	* src/Makefile.am: Use local headers when compiling convenience library,
	this unbreaks the compilation when no/old OpenAL headers are already
	installed on the system.

2006-10-29  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend_wave.c: fix MSVC compilation

	* src/arch/i386/x86_simd_support_prk.h: silence MinGW warning

2006-10-28  Prakash Punnoor <prakash@punnoor.de>

	* src/al_filter.c: use unsigned for len to silence warning

	* src/arch/i386/x86_simd_support_prk.h: remove unneeded types

	* src/arch/i386/mixaudio16_mmx_prk.c,
	src/arch/i386/mixaudio16_sse2_prk.c: correct calling convention

	* src/extensions/al_ext_mp3.c: use new dlopen framework

	* src/al_ext.c, src/al_ext.h, src/extensions/al_ext_mp3.c,
	src/extensions/al_ext_vorbis.c: add and use internal _alGetProcAddress
	to silence warnings

	* src/al_dlopen.c, src/al_dlopen.h: move one-liners into header

2006-10-27  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_device.c: Fixed a race condition in alcCloseDevice
	(pointed out by Elias Naur).

2006-10-27  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: detect more compilers; more FIND_PACKAGE conversions,
	revamp SIMD enabling to ensure portable code production, x86 objects
	should be compiled even if no SIMD found

	* admin/CMakeModules/DetectCompiler.cmake: added

	* admin/CMakeModules/CompilerSIMD.cmake: added

	* src/al_mixfunc.c, src/mixaudio16.h, src/arch/i386/x86_cpu_caps_prk.c
	src/arch/i386/x86_simd_support_prk.h, src/arch/i386/mixaudio16_sse2_prk.c
	src/arch/i386/mixaudio16_mmx_prk.c, src/arch/i386/mixaudio16_sse2_prk.h
	src/arch/i386/mixaudio16_mmx_prk.h, src/arch/i386/x86_floatmul.c
	src/al_mixer.h: manually enable SIMD

	* src/al_siteconfig.h, src/arch/i386/x86_cpu_caps_prk.c: correct
	calling convention for ASM

	* src/arch/i386/x86_simd_support_prk.h: optimize setw functions, gcc 3.4
	still sucks

	* src/arch/portable/cpu_caps.c : deleted

	* src/arch/i386/x86_cpu_caps_prk.h, src/al_cpu_caps.h, src/Makefile.am,
	CMakeLists.txt: get rid of dummy cpu_caps.c

	* src/arch/i386/x86_floatmul.h, src/arch/i386/x86_floatmul_sse2.c,
	src/arch/i386/x86_floatmul_mmx.c: added

	* src/arch/portable/floatmul.c, src/arch/i386/x86_floatmul.c
	src/al_main.h, src/alc/alc_context.c, src/al_cpu_caps.h,
	src/Makefile.am, configure.ac, CMakeLists.txt: use specialized floatmul
	functions for clean SIMD seperation
	
	* README: updated infos on SIMD compilation
	
	* configure.ac, src/Makefile.am: revamp SIMD support
	
	* src/al_main.c, src/alc/alc_context.c: move SIMD init into _alInit and
	fix missing assignment

2006-10-26  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_64_linux_cpu_caps_detect_prk.yasm: typo

	* /admin/CMakeModules/FindConfigHelper.cmake: renamed to
	ConfigHelper.cmake

	* CMakeLists.txt: Don't use FIND_PACKAGE for ConfigHelper

2006-09-01  Prakash Punnoor <prakash@punnoor.de>

	* src/al_filter.c: prevent extra memory reallocation, as sizes
	are in bytes, not samples (bug spotted by Ivan Dubrov)

2006-08-29  Prakash Punnoor <prakash@punnoor.de>

	* Makefile.am: renamed FindCompilerMMXFlag.cmake to
	FindCompilerSIMDFlags.cmake

2006-08-27  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_floatmul.c: don't use SIMD routines for few
	samples (bug spotted by Ivan Dubrov)

2006-08-21  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c: Avoid access to undefined memory.

	* src/alc/alc_device.c, src/alc/alc_device.h, src/alc/alc_context.c,
	src/backends/alc_backend.h: Setting the current context to NULL has
	nothing to with pausing the context (the pause/resume backend function
	are still there for now, they should probably be used from
	alcSuspendContext/alcProcessContext). Moved mixer initialization to
	_alInit. ALCCONTEXTP_TO_ALUINT returns an ALuint, not an int.

	* src/alc/alc_device.c, src/alc/alc_context.c: _alInit is now called
	when the first device is created, not the first context, same for
	_alExit and the destruction of the last device. This should cut down
	useless (de-)initializations and is a bit more logical.

	* src/al_mixer.c, src/al_main.c: Added debug output.

	* src/backends/alc_backend_oss.c: Fixed tiny memory leak in OSS backend.

2006-08-17  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindCompilerMMXFlag.cmake:
	renamed to FindCompilerSIMDFlags.cmake
	
	* CMakeLists.txt: use renamed module

2006-08-16  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_simd_support_prk.h,
	src/arch/i386/mixaudio16_sse2_prk.c, src/arch/i386/x86_floatmul.c: make
	icc 9.1 compatible
	
	* src/arch/i386/x86_simd_support_prk.h, src/arch/i386/x86_floatmul.c:
	simplification


2006-08-15  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/Makefile.am, src/Makefile.am, configure.ac: add YASM and
	SSE support and CPU features detection for x86_64
	
	* configure.ac: build light generic routines only too, if SSE2 alone is
	enabled

2006-08-14  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_floatmul.c: add SSE2 routine
	
	* CMakeLists.txt, src/arch/i386/x86_simd_support_prk.h,
	admin/CMakeModules/FindCompilerMMXFlag.cmake: preliminary SSE2 support,
	currently only with GCC 4.x and 3.4.x
	
	* src/al_mixfunc.c, src/mixaudio16.h,
	src/arch/i386/x86_simd_support_prk.h,
	src/arch/i386/mixaudio16_sse2_prk.c,
	src/arch/i386/mixaudio16_sse2_prk.h, src/al_mixer.h, CMakeLists.txt: add
	SSE2 mixing routines
	
	* src/arch/i386/mixaudio16_sse2_prk.c: make GCC 3.4.x compatible


2006-08-12  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_64_linux_cpu_caps_detect_prk.yasm: added

	* CMakeLists.txt, admin/CMakeModules/CMakeASMCompiler.cmake.in,
	admin/CMakeModules/CMakeASMInformation.cmake,
	admin/CMakeModules/CMakeDetermineASMCompiler.cmake: added yasm support
	and x86_64 Linux CPU features detection

	* src/arch/i386/x86_cpu_caps_detect_prk.nasm,
	src/arch/i386/memcpy_mmx_prk.nasm,
	src/arch/i386/x86_64_linux_cpu_caps_detect_prk.yasm: prevent executable
	stacks when building with yasm

	* CMakeLists.txt, admin/CMakeModules/FindPkgConfig.cmake,
	admin/CMakeModules/FindSelectArgtypes.cmake: minor cosmetics

2006-08-11  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_cpu_caps_prk.h, src/arch/i386/x86_cpu_caps_prk.c:
	add SSE4 detection

2006-08-05  Sven Panne  <sven.panne@aedion.de>

	* admin/RPM/openal.spec.in: We need aRts packages for a complete build.

2006-08-04  Prakash Punnoor <prakash@punnoor.de>

	* Makefile.am: add new CMake modules to distribution

2006-08-04  Sven Panne  <sven.panne@aedion.de>

	* Makefile.am: Synched files to distribute with reality.

2006-08-03  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindCompilerMMXFlag.cmake: added

	* CMakeLists.txt: try to enable MMX by setting compile flag; error out
	on not finding NASM

2006-08-02  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindCompilerVisibility.cmake: use CMake module
	
	* admin/CMakeModules/FindOpenALBackends.cmake: added
	
	* CMakeLists.txt: factor out backends detection macro

2006-08-01  Sven Panne  <sven.panne@aedion.de>

	* src/al_filter.c: Avoid a (wrong) warning when using Visual C.

2006-07-31  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/al_siteconfig.h: Cleaned up snprintf detection
	logic.

	* src/al_siteconfig.h, src/alc/alc_context.c: To avoid portability
	issues, use a home-grown case-insensitve string comparison function.

	* src/al_siteconfig.h: Cleaned up #ifdefs for sized integer types.

	* src/al_siteconfig.h: Nuked ancient Darwin stuff.

	* config-osx.h: Removed.

	* src/backends/alc_backend_wave.c: If needed, open WAVE file in binary
	mode.

2006-07-31  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: add -W flags only for GCC compatible compilers, check
	for more headers, don't build static lib by default, don't work-around
	nasm visibility detection anymore (requires cmake >=2.4), add checks
	for snprintf and __int8
	
	* src/al_siteconfig.h: some Windows fixes
	
	* src/backends/alc_backend_wave.c, src/alc/alc_context.c: check for
	non-standard headers
	
	* admin/CMakeModules/FindSleepFunction.cmake: always check for unistd.h
	on non-Windows, fix CHECK_INCLUDE_FILE_DEFINE macro
	
	* test/test*: refactor headers into testlib.h, fix windows sleep
	
	* test/testlib.c: fix Sleep tenfold error
	
	* src/extensions/al_ext_vorbis.c: cast data to (ALvoid*) to eliminate
	warning

2006-07-24  Sven Panne  <sven.panne@aedion.de>

	* src/Makefile.am, src/al_dlopen.c: Compilation fixes for MinGW.

2006-07-20  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend_alsa.c: Chris: fixing a problem with the ALSA
	backend using the snd_pcm_format_size function instead of the
	psnd_pcm_format_size function pointer when dynamically loading the lib

2006-07-11  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: added checks for Cygwin
	
2006-07-11  Sven Panne  <sven.panne@aedion.de>

	* Makefile.am: Include admin/CMakeModules/SelectArgtypes.c.in in source
	distributions.

	* src/backends/alc_backend_windows.c: MMSYSTEM backend fixes based on
	patches from Brian Keener <bkeener@thesoftwaresource.com>. Not really
	tested, but at least things compile under Cygwin.

	* configure.ac, src/backends/alc_backend_oss.c: Added autoconf magic for
	ioctl on Cygwin.

	* src/alc/alc_device.c, src/config/al_config.c: Config file parsing
	improvements based on patches from Brian Keener
	<bkeener@thesoftwaresource.com>. Still not perfect (e.g. for config
	files consisting of comments only), but a bit better. The whole
	Scheme-like parsing/evaluation engine needs a rewrite.

2006-07-10  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend_oss.c: Set preferred buffer size. Fixed open
	mode.

2006-07-05  Sven Panne  <sven.panne@aedion.de>

	* src/al_mixer.c, src/al_types.h, src/alc/alc_context.c,
	src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_oss.c,
	src/backends/alc_backend_sdl.c, src/backends/alc_backend_wave.c,
	src/extensions/al_ext_loki.c: Make the backend details abstract, so only
	device handling and the backends themselves know the details.

	* src/backends/alc_backend_wave.c: Open the output file without any race
	conditions or security risks. General cleanup. Fixed endianess, sample
	size and WAVE header issues.

2006-07-01  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Complete MorphOS support removal. ;-)

2006-06-30  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend.c: Changed the fallback device logic
	slightly, so it is always "native" now. This is turn is an alias for
	"alsa"/"oss"/"dmedia"/"null" now, whichever is the first one supported.

	* CMakeLists.txt, configure.ac, src/Makefile.am, src/al_mutexlib.c,
	src/al_mutexlib.h, src/al_threadlib.c, src/al_threadlib.h,
	src/config/al_config.c: Removed MorphOS support.

	* src/backends/alc_backend_morphos.c: Removed.

	* src/backends/alc_backend_null.c, src/backends/alc_backend_wave.c:
	Cleanup. Removed sleeping. Note that the WAVE backend still has
	portability issues and is not const-correct.

	* src/backends/alc_backend_alsa.c: Added some debug output.

	* src/backends/alc_backend_sdl.c: Signal that we do not handle getting
	and setting the volume in the SDL backend.

	* src/backends/alc_backend_oss.c: Use int constant when int is needed.

2006-06-29  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: remove linux/bsd oss backend, detect new oss backend
	
2006-06-28  Sven Panne  <sven.panne@aedion.de>

	* src/al_main.h: Removed unused offset_memcpy and memcpy_offset macros.

	* src/backends/alc_backend_alsa.c: Added some debug output.

	* src/backends/alc_backend_oss.c: Moved #include to the right place.

	* admin/autotools/.indent.pro: Added SDL types.

	* src/backends/alc_backend_sdl.c: Heavily cleaned up SDL backend.

	* configure.ac, src/backends/alc_backend.c, src/Makefile.am: Replaced
	BSD and Linux backends by the generic OSS backend. The fallback device
	is "alsa"/"oss"/"dmedia"/"null" now, whichever is the first one
	possible.

	* src/backends/alc_backend_bsd.c, src/backends/alc_backend_linux.c:
	Removed.

	* src/backends/alc_backend_oss.c: Implemented generic OSS backend.

	* src/alc/alc_device.c, src/backends/alc_backend_alsa.c: Improved debug
	output a bit.

2006-06-27  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend_alsa.c: Renamed structure holding ALSA data
	to something more consistent. Removed some debugging output which
	belongs somewhere else. Close ALSA device when we run out of memory in
	the "open" operation. Cleaned up private data type and casts.

	* src/config/al_rctree.h: Make the header self-contained.

	* configure.ac, src/Makefile.am, src/backends/alc_backend.c,
	src/backends/alc_backend.h: Hooked in OSS backend stub, which needs to
	be filled in later.

	* src/backends/alc_backend_oss.c: Added.

2006-06-26  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend_alsa.c: Reworked ALSA backend even more,
	simplifying and cleaning it up quite a bit. Both playback and capture
	should work again.

	* src/alc/alc_context.c: Passed format and buffer size to capture
	backend in a slightly hacky way. The capturing part really needs a
	rewrite.

	* admin/autotools/.indent.pro: Added ALSA types.

2006-06-23  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, src/Makefile.am, src/al_ext.c, src/al_main.c,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_sdl.c,
	src/extensions/al_ext_vorbis.c: Use our dlopen wrapper. Rework of
	the ALSA backend, capturing is currently broken and will be fixed
	soon. Note that we do not use symbol versioning anymore and rely
	on the new ALSA API.

	* src/al_dlopen.c, src/al_dlopen.h: Added dlopen wrapper, so the
	step towards libltdl is straightforward.

	* src/al_filter.c, src/al_mixer.c, src/al_types.h,
	src/alc/alc_context.c, src/alc/alc_context.h, src/alc/alc_device.c,
	src/backends/alc_backend.h, src/backends/alc_backend_alsa.c,
	src/backends/alc_backend_arts.c, src/backends/alc_backend_bsd.c,
	src/backends/alc_backend_darwin.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Improved naming a bit to make the
	units clearer. There seems to be a confusion between bytes and frames
	from time to time.

2006-06-14  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, config-osx.h, configure.ac, src/al_ext.c: Replaced
	NODLOPEN with USE_DLOPEN, because inverted logic is harder to understand
	in general.

	* CMakeLists.txt, ChangeLog, src/Makefile.am, src/al_ext.h,
	src/al_main.c, src/al_queue.c, src/al_source.c, src/alc/alc_device.c,
	src/backends/alc_backend.c, src/backends/alc_backend_alsa.c,
	src/backends/alc_backend_darwin.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c:
	Moved config handling to a separate directory.

	* config/al_config.c, config/al_config.h, config/al_rctree.c,
	config/al_rctree.h, config/al_rcvar.c, config/al_rcvar.h: Added.

	* al_config.c, al_config.h, al_rctree.c, al_rctree.h, al_rcvar.c,
	al_rcvar.h: Removed.

2006-06-09  Sven Panne  <sven.panne@aedion.de>

	* src/al_rcvar.c, src/al_rcvar.h, src/al_rctree.h, src/al_config.c:
	Removed unused print_prim function. Moved ALRcEnum type where it
	belongs. Removed unused cell types "pointer value" and "unsingned
	integer".

	* src/al_ext.h, src/al_rcvar.c, src/al_rcvar.h, src/alc/alc_device.c,
	src/al_config.c, src/al_config.h, src/backends/alc_backend.c: Removed
	unused rc_typestr, rc_lookup_list, rc_print, _alGetGlobalScalar
	functions. Removed unused lal_GetGlobalScalar, lal_GetGlobalVector,
	rc_cddr, rc_cdddr, rc_cddddr, rc_cddddddr, rc_cadr, rc_caddr, rc_cadddr,
	rc_caddddr, rc_cadddddr macro. Made rc_toprim, rc_tofloat, rc_equal,
	rc_member, rc_strequal functions static.

2006-06-07  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend_alsa.c: Give snd_pcm_open a 2nd chance after
	0.2sec if it fails, because dmix tends to have problems with it when the
	device has been closed recently.

	* src/backends/alc_backend_alsa.c: Make "default" the default ALSA device.

2006-06-07  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Bump version to 1.1.0.

2006-06-07  Sven Panne  <sven.panne@aedion.de>

	* admin/RPM/openal.spec.in: Spec updates for SuSE 10.1.

	* configure.ac: Bump version to 1.1.0. This is necessary for building an
	RPM on SuSE 10.1 via y2pmbuild, because the distro already ships a
	snapshot version 1.0.x. Any lower version would be ignored when
	e.g. building freealut.

2006-05-23  Sven Panne  <sven.panne@aedion.de>

	* src/al_ext.c: Extend the set of tokens recognized by alGetEnumValue a
	bit.
	
	* src/alc/alc_context.c: Faked device enumeration a bit. Announce
	ALC_ENUMERATION_EXT and ALC_EXT_CAPTURE extensions. Pretend that we are
	OpenAL 1.1, which is not fully correct yet.

2006-05-12  Sven Panne  <sven.panne@aedion.de>

	* src/al_state.c(alGetString): Following our recent change in the
	nomenclature, AL_RENDERER is now "OpenAL Sample Implementation".

	* src/al_state.c(alGetString): Fixed a bug found by valgrind: For the
	AL_EXTENSIONS query, the pointer returned was pointing to a local
	variable which was already dead. Using "static" is better, but still not
	perfect, because we are still limited to 1kB and the query is not
	thread-safe.

2006-04-23  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: move defines into config.h, fix disabled native output
	on Linux
	
	* admin/CMakeModules/FindCompilerVisibility.cmake:
	move define into config.h
	
	* src/arch/i386/mixaudio16_mmx_prk.c: optimize away one instruction for
	sign extension

2006-04-19  Sven Panne  <sven.panne@aedion.de>

	* src/al_bpool.h, src/al_buffer.h, src/al_config.h, src/al_cpu_caps.h,
	src/al_debug.h, src/al_distance.h, src/al_error.h, src/al_ext.h,
	src/al_filter.h, src/al_listen.h, src/al_main.h, src/al_matrix.h,
	src/al_mixer.h, src/al_mixfunc.h, src/al_mixmanager.h, src/al_mspool.c,
	src/al_mspool.h, src/al_mutexlib.c, src/al_mutexlib.h, src/al_queue.h,
	src/al_rctree.c, src/al_rctree.h, src/al_rcvar.h, src/al_siteconfig.h,
	src/al_source.h, src/al_spool.h, src/al_threadlib.c, src/al_threadlib.h,
	src/al_types.h, src/al_vector.h, src/alc/alc_context.h,
	src/alc/alc_device.h, src/alc/alc_error.h, src/alc/alc_speaker.h,
	src/arch/i386/mixaudio16_mmx_prk.c, src/arch/i386/mixaudio16_mmx_prk.h,
	src/arch/i386/x86_cpu_caps_prk.h, src/arch/i386/x86_simd_support_prk.h,
	src/arch/portable/cpu_caps.c, src/audioconvert/ac_adpcm.h,
	src/audioconvert/ac_endian.h, src/audioconvert/ac_wave.h,
	src/audioconvert/audioconvert.h, src/extensions/al_ext_loki.h,
	src/extensions/al_ext_mp3.h, src/extensions/al_ext_needed.h,
	src/extensions/al_ext_vorbis.h, src/mixaudio16.h: Every file starts with
	including al_siteconfig.h now. Unified #defines for protection against
	multiple inclusion. Commented #ifdefs according to the GNU coding
	standards.
	
	* configure.ac: To guarantee version consistency, generate .spec
	file via configure.

	* admin/RPM/.cvsignore, admin/RPM/openal.spec.in: Added.

	* admin/RPM/openal.spec: Removed.

	* .cvsignore: Ignore source distributions.

	* configure.ac, admin/pkgconfig/openal-config.in,
	admin/pkgconfig/openal.pc.in: Improved package dependencies a bit. Still
	not perfect, but better.

	* common/include/AL/alc.h, src/alc/alc_context.c: Use ALvoid and ALCvoid
	only via pointer types, this is more in their intended spirit and works
	around some bugs in GCC 4.2 snapshots.

2006-03-23  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/x86_floatmul.c: work-around gcc 3.3.x bug

	* CMakeLists.txt: disable warnings by default

	* src/arch/i386/x86_cpu_caps_prk.h, src/arch/i386/x86_cpu_caps_prk.c:
	small optimization, so that _alHave[SIMD] functions only have to
	check one variable

2006-03-23  Sven Panne  <sven.panne@aedion.de>

	* README: Mention CR/LF problem on MinGW/MSYS.

	* configure.ac: Due to some troubles with -ansi on MinGW and Cygwin,
	don't enable warnings by default.

2006-03-22  Sven Panne  <sven.panne@aedion.de>

	* configure.ac: Don't mention libraries twice in the static backend
	cases.

2006-03-08  Prakash Punnoor <prakash@punnoor.de>

	* test/testmultichannel.c: fix MacOS case

	* CMakeLists.txt: allow overiding of system alut

2006-03-07  Prakash Punnoor <prakash@punnoor.de>

	* src/backends/alc_backend.c: fix linking errors if some back-ends
	are not compiled in

	* CMakeLists.txt, test/testlib.h, test/testlib.c: LOKI capture gone

	* src/al_main.c, src/backends/alc_darwin.c: fix for MacOS X

	* admin/CMakeModules/SelectArgtypes.c.in: added

	* admin/CMakeModules/FindSelectArgtypes.cmake: make more compatible
	
	* admin/CMakeModules/FindCompilerFlagsSet.cmake: MacOS X gcc doesn't
	like -ansi and -ffastmath

2006-03-05  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: don't copy over static lib in windows

2006-03-03  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/Makefile.am, src/alc/alc_device.c,
	src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Slightly changed the interface for
	opening a backend. The reason for this was that the analogy between
	alcBackendOpenFOO_ and constructors, which are never virtual, is
	improved and the structure of the "virtual function table" is only known
	to src/alc/alc_device.c now. The association between device names and
	backends is now table-driven, and an alias table has been
	introduced. The only strange thing currently is the handling of the
	DMedia backend, which will hopefully be fixed soon.

2006-03-02  Sven Panne  <sven.panne@aedion.de>

	* src/al_mixer.c, src/alc/alc_context.c, src/alc/alc_context.h,
	src/alc/alc_device.c, src/alc/alc_device.h,
	src/extensions/al_ext_loki.c: Made the device's privateData field really
	private.

2006-03-02  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: remove al_ext_capture.c from sources; add __NO_CTYPE
	definition

	* Makefile.am: add admin/CMakeModules/FindPkgConfig.cmake and
	FindSelectArgtypes.cmake to EXTRA_DIST

	*admin/CMakeModules/CMakeASMInformation.cmake: add a fake linking
	command

	configure.ac: add __NO_CTYPE definition

2006-03-02  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend.h: Fixed comment.

	* include/AL/alext.h, src/Makefile.am, src/al_main.c,
	src/alc/alc_context.c, src/alc/alc_context.h: Removed pre-OpenAL 1.1
	capturing facility. According to Ryan it is unused, apart from Tribes 2,
	but this comes with its own OpenAL, anyway.

	* src/extensions/al_ext_capture.c, src/extensions/al_ext_capture.h:
	Removed.

2006-03-01  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: detect (currently a work-around) and enable nasm
	symbol visibility support in Linux

	* admin/CMakeModules/CMakeASMCompiler.cmake.in,
	admin/CMakeModules/CMakeDetermineASMCompiler.cmake: change a bit more to
	CMake supplied modules' style

	* admin/CMakeModules/CMakeASMInformation.cmake: respect global compiler
	flags

	* admin/CMakeModules/FindCompilerVisibility.cmake: don't pollute
	globally visible compiler flags with gcc specific stuff

	* src/arch/i386/memcpy_mmx_prk.nasm,
	src/arch/i386/x86_cpu_caps_detect_prk.nasm: rename visibility enabling
	definition

2006-02-27  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Variables ALUT_INCLUDE_DIR and ALUT_LIB_DIR introduced,
	so tests can be built w/o globally installed alut more easily; remove
	some debug message; introduce *_INLCUDE_DIR and *_LIB_DIR for back-ends
	and extenstion, and use fall-back if pkg-config fails; hack to make ESD
	back-end compile again; using real select arg types detection

	* admin/CMakeModules/FindSelectArgtypes.cmake: added
	
	* admin/CMakeModules/FindSleepFunction.cmake: use 1 instead of ON

2006-02-27  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend_esd.c: Open the socket to the EsounD daemon
	only once, i.e. at the first time alcMakeContextCurrent(NON_NULL) is
	called. Note that we keep the connection open even when the context is
	not current, closing it only when alcCloseDevice is called.

2006-02-26  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/CMakeTestASMCompiler.cmake: added

	* Makefile.am: add CMake modules to EXTRA_DIST

	* admin/CMakeModules/FindSleepFunction.cmake: typo in windows check

	* CMakeLists.txt: nmake doesn't like "-" in target name; Windows/VC++
	doesn't need libm; define needed for TryEnterCriticalSection;
	conditionally compile debugging code; more windows friendliness; enable
	MMX in Windows (needs real detection, though); some more windows fixes

	* src/al_config.c, src/al_main.c, src/al_mixer.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_linux.c:
	remove unneeded headers

	* src/al_types.h: use longs instead of ssize_t

	* src/al_siteconfig.h: windows knows _snprintf

	* src/arch/i386/x86_simd_support_prk.h,
	src/arch/i386/mixaudio16_mmx_prk.c: work-around cast issues with gcc and
	mscv++; fix mscv++ casts

	* src/arch/i386/x86_cpu_caps_detect_prk.nasm,
	src/arch/i386/memcpy_mmx_prk.nasm: nasm symbol visibility support

	* src/al_cpu_caps.h: respect msvc defines

2006-02-24  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/Makefile.am, src/al_debug.c: Conditionally compile
	debugging code.

	* src/al_debug.h: When no debug output is needed, inline _alDebug
	to a no-op, removing quite a lot of useless code from a production
	build (about 24kB on my x86 Linux) and getting some small performance
	gain. Using variadic macros is probably less portable.

	* src/al_source.c: Removed the rather obscure feature of being able to
	initialise the source rolloff factor attributes via a configuration file
	variable "source-rolloff-factor". If we want such a feature, it should
	be handled via a more general way for all source/listener/...
	attributes.

	* src/al_filter.c: Previously, the source position used for attenuating
	non-directional sources was the listener position. This is wrong, it
	should be (0,0,0).

	* src/backends/alc_backend_esd.c: Open connection to EsounD daemon only
	once. More simplifications.

2006-02-22  Sven Panne  <sven.panne@aedion.de>

	* admin/autotools/.indent.pro, configure.ac,
	src/backends/alc_backend_esd.c: Heavily cleaned up EsounD backend.

2006-02-21  Erik Hofman <erik@ehofman.com>

	* src/backends/alc_backend.h, src/backends/alc_backend_irix.c: Fix the
	IRIX backend again.

	* src/backends/alc_backend_wave.c: (const void *) to (void *)
	conversion.

2006-02-21  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: bump version

2006-02-21  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/Makefile.am: Added version info and bumped it
	from the default 0:0:0 to 1:0:0, because ALUT has been removed.

2006-02-20  Sven Panne  <sven.panne@aedion.de>

	* admin/autotools/.indent.pro, src/al_types.h, src/alc/alc_context.c,
	src/alc/alc_device.c, src/backends/alc_backend.c,
	src/backends/alc_backend.h, src/extensions/al_ext_loki.c: Finally moved
	the backend-related stuff (i.e. the function table and the private data)
	cleanly into the device structure.

2006-02-17  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Use backend function table.

	* src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Improved const-correctness, but
	waveout backend still broken in this respect. Introduced a backend
	function table, but this is not yet used.

2006-02-16  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Move the ALC_OpenMode into the
	backends themselves, making the already simple dispatching code in
	src/backends/alc_backend.c even simpler, opening up more opportunities
	for refactoring. This involved the introduction of a global variable in
	some backends, but this is only a temporary measurement.

2006-02-14  Sven Panne  <sven.panne@aedion.de>

	* src/al_filter.c, src/al_source.c: Don't access the "isset" fields
	directly.

	* src/al_source.c, src/al_source.h, src/alc/alc_speaker.c,
	src/alc/alc_speaker.h: Made _alSourceIsParamSet and _alcSpeakerInit
	static.

	* src/al_source.c: Removed the obscure "2D sound hack", which set the
	direction and cone source attributes back to their default values when
	AL_SOURCE_RELATIVE was set to AL_TRUE and the source's position was at
	the origin. This is against the OpenAL spec and if some old games are
	buggy (Tribes 2?), then they should be fixed or they should ship with a
	special OpenAL version.

	* configure.ac: Removed -Wunreachable-code from the set of warning
	options in effect when --enable-more-warnings is given. It leads to more
	trouble than it's worth and hides more critical warnings in tons of
	useless false positives.

2006-02-13  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/al_main.c: Use code to from freealut to implement
	_alMicroSleep in a nicer way. Dropped MorphOS support here, as nobody
	seems to be able to maintain it anymore.

	* admin/autotools/m4/alut_check_func.m4: Added.

2006-02-13  Prakash Punnoor <prakash@punnoor.de>

	* src/al_matrix.c, src/al_matrix.h: add _alVecMatrixMulA3; deactivate
	remaining code, as it is unused
	
	* src/alc/alc_speaker.c: use arrays and _alVecMatrixMulA3 instead of
	ALmatrix and co.
	
	* CMakeLists.txt: support new _alMicroSleep code
	
	* admin/CMakeModules/FindSleepFunction.cmake: added

2006-02-05  Prakash Punnoor <prakash@punnoor.de>

	* admin/pkgconfig/openal.pc.in: also include pthread related flags -
	the lib flags shouldn't be needed though and the acx_pthread.m4 macro
	should be fixed though, so that openal itself gets linked to pthread;
	reverting last this patch, as acx_pthread hopefully got a work-around
	for Linux
	
	* admin/pkgconfig/openal-config.in: commenting out pthread related flags,
	as openal should be built that way that apps linking to openal shouldn't
	know anything about it (unless in static case)
	
	* admin/autotools/m4/acx_pthread.m4: check for pthread first on Linux
	thus making openal actually link to pthread; this probably needs more
	fixing

2006-02-04  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: handle dl as configure.ac

2006-02-04  Sven Panne  <sven.panne@aedion.de>

	* configure.ac: Fixes for Cygwin. Look for dlfcn.h and an option -ldl to
	decide whether dynamic loading of libraries is possible, as Cygwin
	doesn't need and doesn't support -ldl. Fixed test for native Windows
	backend. Fixed CR/LF vs. LF issue in configure.

2006-02-03  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, configure.ac src/al_source.c: Renamed LINUX_AL to
	AL_SUPPORT_BYTE_LOKI_SOURCE_ATTR_, which is a bit clearer.

	* src/al_source.c, src/al_types.h, test/testloop.c: Removed the
	AL_STREAMING source attribute. It was non-standard, undocumented and
	didn't do anything.

	* configure.ac: Use AC_DEFINE instead of specifying preprocessor defines
	by hand.

2006-01-31  Prakash Punnoor <prakash@punnoor.de>

	* admin/pkgconfig/Makefile.am: use more portable way of defining
	pkgconfdir (by Andreas Bierfert)
	
	* common/include/AL/al.h, common/include/AL/alc.h, CMakeLists.txt,
	configure.ac: use visibility attribute only when building OpenAL lib
	
2006-01-23  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c (_alcSetContext, _alcInitContext): Initialize
	speaker positions when the number of speakers is known, not earlier...

	* src/alc/alc_context.c (_alcSetContext): Fixed debug message.

	* src/al_rcvar.c (rc_lookup): Don't complain a second time,
	_alGlobalBinding already did it.

2006-01-20  Sven Panne  <sven.panne@aedion.de>

	* src/al_ext.c: Fixed braino in alGetEnumValue.

2006-01-20  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindCompilerVisibility.cmake: fix result always set
	to true and include debugging output; minor indenting
	
	* admin/CMakeModules/FindPkgConfig.cmake: filter out ENTER lines
	
	* CMakeLists.txt: better defines handling and more debugging output;
	re-check back-end if its DLOPEN state changed; factor out code
	
	* admin/CMakeModules/FindConfigHelper.cmake: added
	
	* admin/CMakeModules/FindCompilerFlagsSet.cmake: added

2006-01-18 Erik Hofman <erik@ehofman.com>

	* src/backends/alc_backend_irix.c: Rename a few instances of
	dmediadevice to dmedia instead. IRIX is working again.

2006-01-17  Erik Hofman <erik@ehofman.com>

	* src/al_buffer.c, src/al_buffer.h, src/al_main.c,
	src/audioconvert/ac_misc.c, src/audioconvert/audioconvert.h,
	src/extensions/al_ext_capture.c: Finish what someone else started,
	convert void* to const void* to get it compiling for IRIX' MIPSpro
	compiler, add the usleep functio n for IRIX.

	* src/backends/alc_backend.h: Fix a typo: alcBackendOpenDMedia instead
	of alcBackendOpenDMedia_

2006-01-17  Prakash Punnoor <prakash@punnoor.de>

	* test/testrotatesound.c: added
	
	* test/testvorbis.c: don't loop
	
	* src/extensions/al_ext_vorbis.c: fix vorbis not flushing samples and
	bug in seek routine
	
	* CMakeLists.txt: work around CMake bug for visibility test and add
	testrotatesound to tests; add DMedia detection; remove stray ENDIF and
	deactivate DirectSound support (as it doesn't exist); factor out some
	detection routines
	
	* src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_irix.c, configure.ac: make an independent
	"dmedia" back-end of IRIX native
	
	* configure.ac, src/extensions/al_ext_mp3.c: Use OPENAL_DLOPEN_MP3
	instead of OPENAL_DLOPEN_SMPEG. This more macro friendly (currently in
	CMake project, only)
	
	* admin/CMakeModules/FindCompilerAttribute.cmake,
	admin/CMakeModules/FindCompilerVisibility.cmake: added
	
2006-01-17  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c: Make sure that the speakers are moved to their
	initial position at context creation time. The whole logic of state
	initialization and update is currently a bit arcane and should be
	improved.

	* src/extensions/al_ext_mp3.c: Synched dlopen #ifdef with configure.ac.

2006-01-14  Prakash Punnoor <prakash@punnoor.de>

	* test/testda.c, test/testdoppler.c, test/testgain.c, test/testlib.c,
	test/testlib.h, test/testlistener.c, test/testlistener2.c,
	test/testlistener3.c, test/testlistener4.c, test/testloop.c,
	test/testmp32.c, test/testmulti.c, test/testmultinothread.c,
	test/testnothread.c, test/testpause.c, test/testpitch.c,
	test/testpitchnothread.c, test/testpitchnothread2.c, test/testqueue.c,
	test/testqueue2.c, test/testqueue3.c, test/testrelative.c,
	test/testreverb.c, test/testsingle.c, test/testsourcestop.c,
	test/testtime.c: use current alut wave loader instead of obsolete one,
	and as we use alut anyway, use its init/exit, as well
	
	* CMakeLists.txt: forgot testmulitnothread; add -fomit-frame-pointer
	only when doing optimization
	
2006-01-13  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/Makefile.am, src/arch/.cvsignore: added

	* configure.ac, src/Makefile.am: kludge for nasm vs. automake-1.8
	
	* README: cmake related corrections

2006-01-12  Prakash Punnoor <prakash@punnoor.de>

	* src/extensions/al_ext_vorbis.c, src/backends/alc_backend_alsa.c,
	src/backends/alc_backend_arts.c, src/backends/alc_backend_esd.c,
	src/backends/alc_backend_sdl.c: #if -> #ifdef
	
	* CMakeLists.txt: improve defines handling
	
	* src/Makefile.am: Fix (I hope) for SUBDIRS problem (with older
	automake?).

2006-01-11  Prakash Punnoor <prakash@punnoor.de>

	* src/al_siteconfig.h: #if -> #ifdef
	
	* CMakeLists.txt: test for __attribute__(...)

2006-01-11  Sven Panne  <sven.panne@aedion.de>

	* admin/autotools/.indent.pro, src/alc/alc_device.c,
	src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c: More steps towards a sane backend API.

	* configure.ac, src/al_buffer.c, src/al_config.c, src/al_debug.c,
	src/al_debug.h, src/al_error.c, src/al_ext.c, src/al_filter.c,
	src/al_main.h, src/al_mixer.c, src/al_mspool.c, src/al_rcvar.c,
	src/al_siteconfig.h, src/al_source.c, src/al_threadlib.c,
	src/al_threadlib.h, src/alc/alc_context.c, src/alc/alc_error.c,
	src/audioconvert/ac_misc.c, src/backends/alc_backend_alsa.c,
	src/backends/alc_backend_darwin.c, src/backends/alc_backend_linux.c,
	src/backends/alc_backend_wave.c, src/extensions/al_ext_mp3.c: Fixed tons
	of warnings. Fixed a bug in _alGetGlobalScalar on the way.

	* admin/autotools/m4/alut_c__attribute.m4: Added.

	* configure.ac: Added flags to dynamically load SDL, Vorbis and MP3 libs
	(enabled by default). Fixed a cut-n-paste typo in the handling of
	--enable-more-warnings.

2006-01-10  Sven Panne  <sven.panne@aedion.de>

	* configure.ac: Only use -finline-functions, -ffast-math and
	-fomit-frame-pointer for optimized build. Test the availability of these
	options with ALUT_CHECK_FLAG. Note that -O2 is used by default for GCC.

	* CMakeLists.txt, config-osx.h, configure.ac: Removed EMPTY_LOCKS
	remainders.

	* configure.ac: Synched --enable-more-warnings handling with ALUT. Use
	ALUT_CHECK_FLAG for symbol visibility support detection.

	* admin/autotools/m4/alut_check_flag.m4,
	admin/autotools/m4/alut_eval_stderr.m4: Added.

	* src/arch/i386/x86_cpu_caps_prk.c, src/arch/i386/x86_cpu_caps_prk.h:
	Don't use old-style function definitions.

	* common/include/AL/al.h, common/include/AL/alc.h: Warning police.

	* src/al_ext.c, src/alc/alc_context.c: Warning police. GCC is not
	cunning enough to see the relation between the return value and the
	pointer argument, so make things obvious even for a compiler.

2006-01-10  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: fix missing defines for extensions; disable vorbis
	dlopen; add pkg-config defines to compiler command line; sync
	optimization flags to configure.ac; remove adding of -march option;
	forcefully disable symbol visibility for ICC due to linker trouble;
	disable NASM and SIMD specific stuff if no MMX is found, as we don't use
	other SIMD instructions; enable dlopening vorbis, SDL and smpeg
	
	* src/extensions/al_ext_vorbis.c: enable dlopening (ripped from arts
	backend; testvorbis seems to indicate working code...)
	
	* src/backends/alc_backend_sdl.c: enable dlopening
	
	* src/extensions/al_ext_mp3.c: enable dlopening
	
	* configure.ac: disable NASM and SIMD specific stuff if no MMX is found
	for the time-being

2006-01-09  Sven Panne  <sven.panne@aedion.de>

	* include/AL/alext.h, src/al_buffer.c, src/extensions/al_ext_loki.h,
	src/extensions/al_ext_mp3.h: Make some LOKI extensions visible again.

	* configure.ac: Fixed symbol visibility support detection. Note that GCC
	3.3.x and GCC 3.4.x support '__attribute__((visibility(...)))', but not
	'-fvisibility=...'. Furthermore, don't bother testing for that if we are
	not even using GCC. Put the HAVE_GCC_VISIBILITY #define into config.h,
	we always have to #include that before the AL headers in our code,
	anyway.

2006-01-07  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Cache back-ends detection results; use macro for debug
	options checking. Remove word "back-end" from output.
	
	* configure.ac: Added gcc symbol visibility support detection.

2006-01-06  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Sync CFLAGS to configure.ac, but keeping -O2, as *no*
	optimization level makes no sense...
	
	* README: update CMake featurelist

2006-01-05  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c, src/alc/alc_device.c,
	src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c, src/extensions/al_ext_loki.c:
	Started to use our own coding guidelines.

	* admin/autotools/.indent.pro: Use TAB-free GNU style. The previous
	8-column tabbed indentation was eating far too much space when long
	symbol names are used. Let's slowly move towards this style when
	reworking files, the rest of the world seems to live quite well with it.

	* README: Added coding guidelines. Reformatted a bit.

2006-01-05  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: enable optimization by default

2006-01-04  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: Sync to configure.ac regarding back-ends and fix
	missing compilation of objects in dlopen case.

2006-01-04  Sven Panne  <sven.panne@aedion.de>

	* src/backends/alc_backend.h: Fixed comment.

	* src/Makefile.am, src/al_mixer.c, src/alc/alc_context.c,
	src/alc/alc_device.c, src/extensions/al_ext_capture.c,
	src/extensions/al_ext_loki.c: Previously the "arch" subdirectory
	contained highly unrelated things, now all backends are cleanly
	separated into a "backends" subdirectory.

	* src/backends/alc_backend.c, src/backends/alc_backend.h,
	src/backends/alc_backend_alsa.c, src/backends/alc_backend_arts.c,
	src/backends/alc_backend_bsd.c, src/backends/alc_backend_darwin.c,
	src/backends/alc_backend_esd.c, src/backends/alc_backend_irix.c,
	src/backends/alc_backend_linux.c, src/backends/alc_backend_morphos.c,
	src/backends/alc_backend_null.c, src/backends/alc_backend_sdl.c,
	src/backends/alc_backend_solaris.c, src/backends/alc_backend_wave.c,
	src/backends/alc_backend_windows.c: Added.

	* src/arch/alsa/alsa.c, src/arch/arts/arts.c, src/arch/bsd/bsd_dsp.c,
	src/arch/darwin/darwin_native.c, src/arch/esd/esd.c,
	src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/arch/irix/iris.c,
	src/arch/linux/lin_dsp.c, src/arch/morphos/morphos_native.c,
	src/arch/null/null.c, src/arch/sdl/sdl.c,
	src/arch/solaris/solaris_native.c, src/arch/waveout/waveout.c,
	src/arch/windows/windows_native.c: Removed.
	
	* src/alc/alc_context.c, src/alc/alc_device.c, src/alc/alc_device.h,
	src/arch/alsa/alsa.c, src/arch/arts/arts.c, src/arch/bsd/bsd_dsp.c,
	src/arch/darwin/darwin_native.c, src/arch/esd/esd.c,
	src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/arch/irix/iris.c,
	src/arch/linux/lin_dsp.c, src/arch/morphos/morphos_native.c,
	src/arch/null/null.c, src/arch/sdl/sdl.c,
	src/arch/solaris/solaris_native.c, src/arch/waveout/waveout.c,
	src/arch/windows/windows_native.c: Simplified the setting of backend
	attributes. Note that some code parts currently look a bit silly or
	overly complicated, but this is only a temporary side-effect of all this
	refactoring. In the long run, each backend "object" should now all its
	functions, its mode, etc., but we are not fully there yet.

	* src/alc/alc_device.c, src/arch/alsa/alsa.c, src/arch/arts/arts.c,
	src/arch/bsd/bsd_dsp.c, src/arch/darwin/darwin_native.c,
	src/arch/esd/esd.c, src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/arch/irix/iris.c,
	src/arch/linux/lin_dsp.c, src/arch/morphos/morphos_native.c,
	src/arch/null/null.c, src/arch/sdl/sdl.c,
	src/arch/solaris/solaris_native.c, src/arch/waveout/waveout.c,
	src/arch/windows/windows_native.c: There is only one function to open a
	backend now instead of two, centralizing the backend selection logic a
	bit. I still have a bad feeling about hardware_type being a global
	variable, but it will hopefully vanish soon, anyway.

	* src/al_types.h, src/alc/alc_context.c, src/extensions/al_ext_vorbis.c:
	Warning police.

	* configure.ac: Removed -Wconversion. As mentioned on several mailing
	lists, it is only intended to port prototype-free pre-ANSI C to ANSI C
	and causes a lot of warnings for perfectly good code.

2006-01-03  Sven Panne  <sven.panne@aedion.de>

	* Makefile.am, src/arch/alsa/alsa.c, src/arch/arts/arts.c,
	src/arch/bsd/bsd_dsp.c, src/arch/darwin/darwin_native.c,
	src/arch/esd/esd.c, src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/arch/irix/iris.c,
	src/arch/linux/lin_dsp.c, src/arch/morphos/morphos_native.c,
	src/arch/null/null.c, src/arch/sdl/sdl.c,
	src/arch/solaris/solaris_native.c, src/arch/waveout/waveout.c,
	src/arch/windows/windows_native.c, src/Makefile.am: Even more backend
	refactoring to make all kinds of backends similar, enabling further
	refactoring into something more OO-like.

	* src/arch/morphos/morphos_dispatcher.c,
	src/arch/morphos/morphos_dispatcher.h: Removed, the contents live in
	src/arch/morphos/morphos_native.c now. Simple rule: One backend, one
	file.

	* PLATFORM: Removed, all the information is in
	src/arch/interface/interface_sound.h already.

	* README: Added some backend info.

	* src/arch/darwin/Changes.rtf, src/arch/darwin/changes.txt,
	src/arch/darwin/CVS_Update.txt, src/arch/darwin/FAQ,
	src/arch/darwin/Tests_Results.rtf, src/arch/darwin/TODO,
	src/arch/irix/README, src/arch/solaris/README: Removed, all the info is
	in the toplevel README now.

	* src/arch/alsa/alsa.h, src/arch/arts/arts.h, src/arch/esd/esd.h,
	src/arch/interface/platform.h, src/arch/null/null.h, src/arch/sdl/sdl.h,
	src/arch/waveout/waveout.h: Removed, all the backend prototypes are in
	src/arch/interface/interface_sound.h now.
	
	* src/al_main.c, src/al_main.h, src/alc/alc_context.c,
	src/alc/alc_device.c, src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/extensions/al_ext_loki.c: More
	backend refactoring.

	* configure.ac: Fixed typo in currently unused #define.

2006-01-02  Sven Panne  <sven.panne@aedion.de>

	* src/arch/alsa/alsa.c, src/arch/arts/arts.c, src/arch/bsd/bsd_dsp.c,
	src/arch/darwin/darwin_native.c, src/arch/esd/esd.c,
	src/arch/interface/interface_sound.c,
	src/arch/interface/interface_sound.h, src/arch/irix/iris.c,
	src/arch/linux/lin_dsp.c, src/arch/morphos/morphos_native.c,
	src/arch/null/null.c, src/arch/sdl/sdl.c, src/arch/sdl/sdl.h,
	src/arch/solaris/solaris_native.c, src/arch/waveout/waveout.c,
	src/arch/windows/windows_native.c: Started to refactor backends. The
	first step was to make _alBlitBuffer a normal function, not a function
	pointer. The reason for the latter was the SDL backend, which has been
	modified accordingly.

2006-01-02  Prakash Punnoor <prakash@punnoor.de>

	* src/al_vector.c, src/al_vector.h: move some micro-functions into
	header as static __inline

2006-01-01  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/FindPkgConfig.cmake: added
	
	* CMakeLists.txt: most of back-ends autodetection like configure.ac
	does is in - but w/o huge copy&paste ;-), fix for Windows backend typo,
	quick hack to make native back-end selectable - needs some detection
	
2005-12-28  Sven Panne  <sven.panne@aedion.de>

	* src/arch/alsa/alsa.c, src/arch/i386/x86_cpu_caps_prk.c: _alDebug
	already adds newlines.

2005-12-27  Sven Panne  <sven.panne@aedion.de>

	* src/arch/alsa/alsa.c: Always use "_near" variants of
	snd_pcm_hw_params_set_period_size and snd_pcm_hw_params_set_rate, this
	should fix problems for some soundcards (thanks to Shawn Kirst for
	pointing this out). Removed some unused variables. Fixed two warnings.

2005-12-23  Prakash Punnoor <prakash@punnoor.de>

	* arch/i386/Makefile.am: added; kludge for autotools vs. nasm
	
	* configure.ac, src/Makefile.am: finally nasm compilation (based on
	LAME's way); quite a kludge, but autotools suck hard, better ways
	welcome...

2005-12-22  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, Makefile.am, admin/RPM/openal.spec, config-osx.h,
	configure.ac, src/Makefile.am, src/al_buffer.c, src/al_main.c,
	src/extensions/al_ext_mp3.c, src/extensions/al_ext_mp3.h,
	src/extensions/al_ext_vorbis.c, src/extensions/al_ext_vorbis.h:
	Autodetect Vorbis and MP3 extenstions.

2005-12-21  Prakash Punnoor <prakash@punnoor.de>

	* arch/i386/x86_floatmul.c: added; renamed i386 floatmul
	
	* CMakeLists.txt: renamed i386 floatmul
	
	* configure.ac, src/Makefile.am: MMX support back in; NASM compilation
	rule missing, so beware that cpu caps detection is missing; deactivate
	NASM for the meanwhile
	
	* arch/i386/floatmul.c, arch/i386/mix16.nasm: removed
	
2005-12-21  Sven Panne  <sven.panne@aedion.de>

	* Makefile.am, configure.ac, src/Makefile.am, src/arch/bsd/bsd_dsp.c,
	src/arch/darwin/darwin_native.c, src/arch/interface/platform.h,
	src/arch/irix/iris.c, src/arch/linux/lin_dsp.c,
	src/arch/morphos/morphos_dispatcher.c,
	src/arch/morphos/morphos_native.c, src/arch/solaris/solaris_native.c,
	src/arch/windows/windows_native.c: Unified all the headers for native
	backends. Backend auto-detection should be complete now (modulo some
	testing, of course).

	* src/arch/bsd/bsd_dsp.h, src/arch/darwin/darwin_native.h,
	src/arch/irix/iris.h, src/arch/linux/lin_dsp.h,
	src/arch/morphos/morphos_native.h, src/arch/solaris/solaris_native.h
	src/arch/windows/windows_native.h: Removed.

	* CMakeLists.txt, config-osx.h, configure.ac, src/Makefile.am,
	src/al_main.h, src/al_mixer.c, src/al_siteconfig.h,
	src/arch/interface/platform.h, src/audioconvert/ac_misc.c: Improved
	backend detection even more. Removed obscure BROKEN_LIBIO stuff, if
	there is really still some need for this (which I doubt), we should do
	it differently.

2005-12-20  Prakash Punnoor <prakash@punnoor.de>

	* src/al_main.c, src/al_main.h, src/alc/alc_speaker.c: move matrix stuff
	into separate object; deactivate _alRotatePointAboutAxis, as it is not
	used and wasn't specified in the header anyway
	
	* src/al_matrix.c, src/al_matrix.h: added
	
	* CMakeLists.txt, src/Makefile.am: compile al_matrix.c

2005-12-20  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/Makefile.am: Improved backend detection. Still not
	perfect and far too much cut-n-paste, but better than before.

2005-12-19  Prakash Punnoor <prakash@punnoor.de>

	* test/testlib.c, test/testlib.h: Add _RotatePointAboutAxis()
	
	* test/testlistener3.c, test/testlistener4.c:
	Use _RotatePointAboutAxis() instead of OpenAL internal one to
	prevent linking error if symbol visibility is used

2005-12-17  Prakash Punnoor <prakash@punnoor.de>

	* admin/CMakeModules/CMakeASMInformation.cmake: don't use C flags
	
	* CMakeLists.txt, common/include/AL/alc.h, common/include/AL/al.h:
	gcc visibility support
	
	* src/arch/i386/x86_cpu_caps_detect_prk.nasm,
	src/arch/i386/memcpy_mmx_prk.nasm: prevent executable stack

2005-12-15  Sven Panne  <sven.panne@aedion.de>

	* include/AL/Makefile.am: Removed.

2005-12-15  Prakash Punnoor <prakash@punnoor.de>

	* README: CMake cache clearing typos

2005-12-12  Prakash Punnoor <prakash@punnoor.de>

	* README: CMake cache clearing

2005-12-11  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: don't check for time.h anymore;
	correctly check for Linux for ALSA

2005-12-10  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: set some vars for openal-config.in;
	enable ALSA option only for Linux, DSOUND only for Win32
	
	* README: some typos

2005-12-10  Sven Panne  <sven.panne@aedion.de>

	* src/al_buffer.c: Fixed buffer attribute getters (thanks to Shawn
	Kirst for  pointing this out).  Renamed MAX_LISTENER_NUM_VALUES to
	the more sensible MAX_BUFFER_NUM_VALUES.

2005-12-08  Sven Panne  <sven.panne@aedion.de>

	* admin/pkgconfig/openal-config.in: Overhauled quite a bit. The order of
	commandline options does not matter anymore. Added more standard GNU
	prefixes. Added --static option (currently a no-op).

2005-12-04  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/Makefile.am: Do ALSA detection and conditional
	inclusion the autotools way, minimizing tests and giving nice feedback
	to the user.

2005-12-03  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: C99 stuff, better alsa detection, threading
	clean-up; forgot to define HAVE_MMX_MEMCPY; fix library linking;
	only link openal and alut to testcase

2005-12-02  Sven Panne  <sven.panne@aedion.de>

	* admin/RPM/openal.spec: ALSA support is now autodetected.

	* src/Makefile.am: Fixed include path.

2005-12-01  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/arch/alsa/alsa.c: Cleaned up ALSA detection.

	* configure.ac: Moved debugging-related options together. Renamed
	--enable-stub-notify to --enable-debug-stub, the former seems to be a
	cut-n-paste error. Added explanations for debugging-related #defines.

	* CMakeLists.txt, config-osx.h, configure.ac, src/al_main.c,
	src/al_mutexlib.c, src/al_mutexlib.h, src/al_threadlib.c,
	src/al_threadlib.h: Cleaned up threading detection.

	* admin/autotools/m4/acx_pthread.m4: Added.

	* configure.ac: Renamed --enable-gcc-warnings to
	--enable-more-warnings. Actually test for libefence when --enable-efence
	has been given.

2005-11-30  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/floatmul.c, src/arch/i386/mixaudio16_mmx_prk.c
	src/arch/i386/memcpy_mmx_prk.nasm: fix warnings

	* CMakeLists.txt: gcc should compile in C99 mode; remove capture option;
	warnings handling similar to configure.ac (enable DEBUG to have options
	MORE_WARNINGS and WERROR)

2005-11-30  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, config-osx.h, configure.ac, src/al_main.c,
	src/arch/linux/lin_dsp.c: Always include capture support, as required by
	OpenAL 1.1.

	* Makefile.am, configure.ac: Cleaned up handling of warning-related
	configure options so we have three now: --enable-warnings (default
	"yes"), --enable-gcc-warnings (default "no"), and --enable-werror
	(default "no").

	* admin/autotools/m4/alut_check_cflags_wall.m4: Added.

2005-11-29  Sven Panne  <sven.panne@aedion.de>

	* admin/RPM/openal.spec: Synched with new directory structure.

	* CMakeLists.txt, Makefile.am, configure.ac, common/Makefile.am:
	Slightly rearranged the common subdirectory.

	* common/include/.cvsignore, common/include/Makefile.am: Added.

	* Makefile.am, configure.ac, include/Makefile.am, src/Makefile.am: We
	"mount" the common headers via a CVS alias module "portable" now.

	* common/.cvsignore, common/Makefile.am: Added.

	* Makefile.am, src/Makefile.am: Added missing files for
	distribution. Still far from perfect, but better.

2005-11-29  Prakash Punnoor <prakash@punnoor.de>
	
	* CMakeLists.txt: Sven missed two lines on clean-up; sync warning-
	flags to configure.ac; al headers now in common

2005-11-29  Sven Panne  <sven.panne@aedion.de>

	* CMakeLists.txt, Makefile.am, admin/.cvsignore, admin/Makefile.am,
	configure.ac: Cleaned up admin directory structure.

	* admin/RPM/openal.spec, admin/RPM/openal.xpm,
	admin/autotools/.cvsignore, admin/autotools/.indent.pro,
	admin/pkgconfig/.cvsignore, admin/pkgconfig/Makefile.am,
	admin/pkgconfig/openal-config.in, admin/pkgconfig/openal.pc.in: Added.

	* admin/.indent.pro, admin/openal-config.in, admin/openal.pc.in,
	admin/openal.spec admin/openal.xpm: Removed.

2005-11-28  Sven Panne  <sven.panne@aedion.de>

	* src/Makefile.am: Temporarily added portable floating point
	multiplication code to the library.

	* admin/openal.spec: Updated build dependencies.

	* configure.ac, src/Makefile.am: Don't disturb user variables like
	CFLAGS. Cleaned up some old stuff.

	* src/Makefile.am: Added path to local <AL/alext.h>.

2005-11-26  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: make ASM and CXX detection optional
	
	* src/arch/darwin/darwin_native.c: NULL isn't float nor int; Darwin
	target should now compile using CMake

2005-11-25  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: minor clean-up

	* README: typos...

2005-11-24  Sven Panne  <sven.panne@aedion.de>

	* configure.ac, src/al_buffer.c, src/al_config.c, src/al_ext.c,
	src/al_ext.h, src/al_listen.c, src/al_main.c, src/al_main.h,
	src/al_rctree.h, src/al_rcvar.c, src/al_rcvar.h, src/al_source.c,
	src/al_types.h, src/mixaudio16.c, src/alc/alc_context.c,
	src/alc/alc_device.c, src/arch/alsa/alsa.c, src/arch/linux/lin_dsp.c,
	src/arch/sdl/sdl.c, src/extensions/al_ext_capture.c,
	src/extensions/al_ext_mp3.c, src/extensions/al_ext_needed.h,
	test/testext.c: Added more GCC warnings and tried to fix some of
	them. The general problem with the code is "primitive obsession".

2005-11-23  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt: remove fpic and rdynamic magic - let CMake handle it;
	made CMake build system feature complete

	* README: updated due to feature-completeness

2005-11-21  Sven Panne  <sven.panne@aedion.de>

	* configure.ac: Removed some remnants of the old build system, i.e.
	requirements, DO_MINOR_LIBS, SHARED_LIBRARY_EXT, SHOULD_USE_FPIC and
	SHOULD_USE_RDYNAMIC. Furthermore, some Irix stuff which has been
	commented out for some time now has been nuked.

	* .cvsignore, Makefile.am, admin/.cvsignore, configure.ac,
	include/Makefile.am, src/.cvsignore, src/Makefile.am, src/al_cpu_caps.h:
	More steps towards automake support. Things build and install at least
	on Linux now when all backends are enabled (without MMX).

	* admin/Makefile.am, include/AL/.cvsignore, include/AL/Makefile.am:
	Added.

	* .cvsignore, autogen.sh, src/.cvsignore: Synched with recent
	changes regarding the move to automake.

	* COPYING, Makefile.am, NEWS, README, include/.cvsignore,
	include/Makefile.am, src/Makefile.am: Added.

	* INSTALL, Makefile.in, config.guess, config.sub, install-sh,
	src/Makefile.in: Removed.

	* configure.ac: Define NDEBUG unless debugging is enabled.

	* src/mixaudio16.c: Fixed a "comparison between signed and
	unsigned" warning in an assertion.

	* .cvsignore, CMakeLists.txt, Makefile.in, configure.ac: Updated to
	follow toplevel directory cleanup.

	* admin/.cvsignore, admin/.indent.pro, admin/openal-config.in,
	admin/openal.pc.in: Added.

	* .indent.pro, openal-config.in, openal.pc.in: Removed.

2005-11-21  Prakash Punnoor <prakash@punnoor.de>

	* src/mixaudio16.c: fix NDEBUG related stuff

	* CMakeLists.txt: add debug stuff; make options names shorter;
	added test-suite

	* INSTALL.cmake: update status; more ccmake info;
	merged to INSTALL; removed

	* INSTALL: merged INSTALL.cmake

	* CMakeModules/CMakeASMCompiler.cmake.in,
	CMakeModules/CMakeASMInformation.cmake,
	CMakeModules/CMakeDetermineASMCompiler.cmake: moved

	* admin/CMakeModules/CMakeASMCompiler.cmake.in,
	admin/CMakeModules/CMakeASMInformation.cmake,
	admin/CMakeModules/CMakeDetermineASMCompiler.cmake: added

	* README: added test-suite

2005-11-20  Prakash Punnoor <prakash@punnoor.de>

	* CMakeLists.txt, CMakeModules/CMakeASMCompiler.cmake.in,
	CMakeModules/CMakeASMInformation.cmake,
	CMakeModules/CMakeDetermineASMCompiler.cmake, INSTALL.cmake: preliminary
	CMake support


2005-11-19  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac: Put back AC_PROG_CXX, as it is needed for testcase
	
	* src/al_siteconfig.h, src/Makefile.in, test/Makefile.in: don't include
	via "../config.h"; add .. to includes

2005-11-18  Sven Panne  <sven.panne@aedion.de>

	* src/al_buffer.c, src/al_ext.c: Cleaned up buffer state handling.

	* src/al_bpool.h, src/al_buffer.h, src/al_debug.h, src/al_error.h,
	src/al_ext.h, src/al_filter.h, src/al_listen.h, src/al_main.h,
	src/al_mixer.h, src/al_mixfunc.h, src/al_mixmanager.h, src/al_mspool.h,
	src/al_queue.h, src/al_rctree.h, src/al_rcvar.h, src/al_source.h,
	src/al_spool.h, src/al_threadlib.h, src/al_vector.h, src/mixaudio16.h,
	src/alc/alc_context.h, src/alc/alc_device.h, src/alc/alc_error.h,
	src/alc/alc_speaker.h: Started to remove the repetition of function
	prototypes in comments. Previously we had each and every signature in 4
	different places, which is a maintenance nightmare.

	* src/al_config.c, src/al_config.h, al_listen.c: Removed the rather
	obscure feature of being able to initialise some listener attributes via
	configuration file variables ("listener-position", "listener-velocity",
	"listener-orientation").

2005-11-17  Sven Panne  <sven.panne@aedion.de>

	* src/al_ext.c, src/al_filter.c, src/al_listen.c, src/al_listen.h:
	Cleaned up listener state handling.

	* src/al_bpool.c, src/al_buffer.c, src/al_filter.c, src/al_listen.c,
	src/al_main.c, src/al_main.h, src/al_mixer.c, src/al_source.c,
	src/al_types.h, src/alc/alc_context.c, src/alc/alc_speaker.c,
	src/arch/alsa/alsa.c, src/arch/arts/arts.c, src/arch/bsd/bsd_dsp.c,
	src/arch/esd/esd.c, src/arch/irix/iris.c, src/arch/linux/lin_dsp.c,
	src/arch/sdl/sdl.c, src/arch/solaris/solaris_native.c,
	src/arch/waveout/waveout.c, src/arch/windows/windows_native.c,
	src/extensions/al_ext_capture.c, src/extensions/al_ext_loki.c,
	src/extensions/al_ext_mp3.c, src/extensions/al_ext_vorbis.c: To make a
	mapping of the spec to the implementation easier, useless naming
	creativity has been replaced by a simple naming convention. If the spec
	describes an attribute AL_FOO_BAR, the corresponding struct has a field
	foo_bar. Furthermore, the fields are ordered in the same way as they are
	described in the spec.

2005-11-16  Sven Panne  <sven.panne@aedion.de>

	* src/al_distance.c, src/al_filter.c, src/al_types.h: Centralized
	multiplication with source gain. Made the distance models follow the
	spec more closely (at least I hope so :-).

2005-11-15  Sven Panne  <sven.panne@aedion.de>

	* src/al_distance.c: Implemented missing distance models and
	(hopefully) fixed the existing ones. This will probably need more
	thoughts and thorough testing...

	* src/Makefile.in, src/al_distance.c, src/al_distance.h, src/al_state.c,
	src/alc/alc_context.c: Moved doppler and distance model setters to where
	they belong. Removed some arbitraty restrictions (MIN_DOPPLER,
	MAX_DOPPLER, MIN_DOPPLER_VELOCITY, MAX_DOPPLER_VELOCITY), they were not
	spec conformant. If things go wrong now, something else has to be fixed! 
	The default distance model is now AL_INVERSE_DISTANCE_CLAMPED (not
	AL_INVERSE_DISTANCE), as required by the spec. All distance models are
	accepted now, although not all have been actually implemented
	yet. Started to refactor setters a bit ("Set internal state in generic
	frontend and notify backend about the change.").

	* src/al_doppler.c: Removed.

2005-11-14  Sven Panne  <sven.panne@aedion.de>

	* src/Makefile.in, src/al_error.c, src/al_error.h, src/al_ext.c,
	src/al_ext.h, src/al_state.c, src/al_types.h, src/alc/alc_context.c,
	src/alc/alc_error.c: First steps towards cleaning up and refactoring the
	per-context state management.

	* src/al_able.c: Removed.

	* src/al_ext.h, src/alc/alc_context.c: Cleaned up
	_alGetExtensionProcAddress mess a tiny bit.

2005-11-11  Sven Panne  <sven.panne@aedion.de>

	* src/al_able.c: Set an AL_INVALID_OPERATION when there is no current
	context to ease debugging.

	* src/al_able.c, src/al_distance.c, src/al_state.c: What to do exactly
	regarding error handling when there is no current context is a little
	bit of a dark corner in the spec. But under every interpretation of the
	spec, setting an ALC error is completely wrong. Now we call the internal
	error setter with AL_INVALID_OPERATION, even when there is no current
	context to record the error. This makes debugging easier and the error
	could e.g. be reported to the user in some other way if desired.

	* src/al_state.c: Do not use al_state.h anymore. Made the internal
	getters static.

	* src/al_state.h: Removed.

	* src/al_ext.c, src/alc/alc_context.c: Overhauled alcGetProcessAddress
	and alGetProcAddress.

	* src/al_ext.c, src/alc/alc_context.c: Overhauled alcGetEnumValue and
	alGetEnumValue.

	* doc/openal.texi: Added a tiny note about AL_BYTE_LOKI.

2005-11-10  Sven Panne  <sven.panne@aedion.de>

	* doc/openal.texi, src/al_ext.c, src/alc/alc_context.c,
	test/testcallback.c, test/testchannel.c, test/testchannel2.c,
	test/testmulticontext.c, test/testmulticontext2.c, test/testpitch.c,
	test/testpitch2.c, test/testpitch3.c, test/testpitch4.c,
	linux/test/teststartstop.c: Do not use AL_INVALID and ALC_INVALID, they
	are not in the 1.1 spec.

	* include/AL/alext.h, src/al_ext.c, src/al_filter.c, src/al_listen.c,
	src/al_source.c, test/testchannel.c, test/testgain.c,
	test/testgainlinear.c, test/testmultinothread.c, test/testpitch.c,
	test/testpitch2.c, test/testpitch3.c, test/testpitch4.c,
	test/testpitchnothread.c, test/testpitchnothread2.c, test/testqueue.c,
	test/testqueue2.c, test/testqueue3.c, test/testtime.c: The non-standard
	AL_GAIN_LINEAR_LOKI token seems to behave exactly as the standard
	AL_GAIN, at least in the current code base. Therefore the former has
	been deprecated in the extension header and is not used internally
	anymore. Nevertheless, for legacy reasons it is still recognized in
	getters and setters.

2005-11-09  Sven Panne  <sven.panne@aedion.de>

	* src/al_buffer.c, src/al_ext.c, src/al_source.c: Removed
	AL_ILLEGAL_* tokens from implementation.

	* src/al_ext.c, src/al_ext.h: Removed AL_ENV_* tokens, they were
	unused and without any functionality.

2005-11-07  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/irix/iris.c: fix missing alext.h include

2005-11-06  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac, config-osx.h, src/al_siteconfig.h: cleaning-up:
	removed unused/obsolete stuff

2005-11-03  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c: Minor aesthetical changes in alcGetIntegerv.

2005-11-02  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c, src/alc/alc_device.h: Fixed error handling for
	alcGetIntegerv, previously a device was needed even for querying
	ALC_MAJOR_VERSION and ALC_MINOR_VERSION, which was wrong.

2005-10-27  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/alsa/alsa.c: merge Dino Puller's patch for being 
	able to use alsa with dmix

	* configure.ac: make CFLAGS overrideable by user

2005-10-27  Sven Panne  <sven.panne@aedion.de>

	* admin/openal.spec: Synched with latest Makefile changes.

2005-10-25  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac: x86_64 related fix

2005-10-24  Prakash Punnoor <prakash@punnoor.de>

	* Makefile.in: (gentoo patch) install at correct dirs

2005-10-22  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/floatmul.c, src/arch/i386/x86_simd_support_prk.h:
	fix MMX floatmul for 1.0f > sa >= 0.5f

2005-10-11  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac, src/al_mixer.h: only allow stripped down generic
	mixing if MMX is present

2005-10-06  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/floatmul.c: added MMX routine

	* src/arch/i386/x86_simd_support_prk.h,
	src/arch/i386/mixaudio16_mmx_prk.c:  moved common SIMD support code
	into above header file

2005-10-01  Prakash Punnoor <prakash@punnoor.de>

	* INSTALL: added instructions for using x86 SIMD

	* configure.ac: checks for MMX now

2005-09-30  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac, src/Makefile.in, src/al_mixer.h, src/al_mixfunc.c,
	src/mixaudio16.c, src/mixaudio16.h, src/arch/i386/memcpy_mmx_prk.nasm,
	src/arch/i386/mixaudio16_mmx_prk.c, src/arch/i386/mixaudio16_mmx_prk.h:
	add MMX audio mixing

	* x86_cpu_caps_prk.c: fix OPENAL_DISABLE_SIMD handling and SIMD
	should only be enabled at runtime detection, if SIMD was enabled
	at compile time

2005-09-30  Sven Panne  <sven.panne@aedion.de>

	* admin/openal.spec: Synched with CREDITS/AUTHORS changes.

	* AUTHORS: Added. This is the standard (autotools) name for such a
	file. Added a few more people to the list and sorted it
	alphabetically.

	* CREDITS: Removed.

2005-09-29  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac: fix up compilation on x86(_64) which I broke...

2005-09-29  Elias Naur <elias@oddlabs.com>

	* linux/src/al_filter.c: Added comment about the previous value
	of _AL_CUTTOFF_ATTENUATION and why it is now 0.

2005-09-28  Sven Panne  <sven.panne@aedion.de>

	* configure.ac: Cleaned up quotations. The whole file is still a
	bit of a mess, though...

2005-09-27  Prakash Punnoor <prakash@punnoor.de>

	* src/al_mixfunc.c, src/al_mixfunc.h, src/al_mixmanager.c:
	minor clean-ups and adding indirection for mixing n streams
	function

	* configure.ac, src/Makefile.in,
	src/arch/i386/x86_cpu_caps_detect_prk.nasm,
	src/arch/i386/x86_cpu_caps_prk.c,
	src/arch/i386/x86_cpu_caps_prk.h,
	src/arch/portable/cpu_caps.c,
	src/al_cpu_caps.h, alc/alc_context.c: added x86 cpu caps
	detection/framework to safely use SIMD code in OpenAL

2005-09-27  Elias Naur <elias@oddlabs.com>

	* linux/src/al_filter.c: Disabled
	_AL_CUTTOFF_ATTENUATION to avoid problems with
	too little distance attenuation. For now, I kept
	the #define in case any problems show up.
	
2005-09-26  Elias Naur <elias@oddlabs.com>

	* linux/src/al_source.c: Don't set source new_readindex
	and new_soundpos on underflow to avoid a race condition.
	
2005-09-26  Elias Naur <elias@oddlabs.com>

	* linux/src/al_queue.c: Made alSourceQueueBuffers and
	alSourceUnqueueBuffers take alLockMixBuf to avoid
	a race condition with the mixer thread. Their behaviour now
	matches alSourceStop and alSourcePlay that can also manipulate
	playing sources.

2005-09-25  Prakash Punnoor <prakash@punnoor.de>

	* configure.ac, src/Makefile.in: renamed i386_OBJS to x86_OBJS,
	added it to x86_64; added AC_OBJS to CLEAN_FILES in latter file

2005-09-24  Prakash Punnoor <prakash@punnoor.de>

	* src/arch/i386/floatmul.c: fix up and drop unneeded saturation;
	use 5 bits more precision for gain

	* configure.ac: reactivate fixed i386 floatmul

	* src/mixaudio16.c, src/mixaudio16.c: clean-up, remove old MMX
	support and mixing of dst into itself

	* src/al_buffer.h, src/al_buffer.c: void* should be ALvoid* at
	some places

2005-09-23  Sven Panne  <sven.panne@aedion.de>

	* admin/openal.spec: Added an up-to-date .spec file, based on the
	one used for SuSE 9.3.

	* openal.spec: Removed.

	* admin/openal.xpm: Added a scaled-down version of the OpenAL logo
	from http://www.openal.org/. This will be used as the icon in the
	.spec file.

	* CREDITS: Added myself.

2005-09-21  Sven Panne  <sven.panne@aedion.de>

	* src/alc/alc_context.c: Synchronized names of device structs to
	reduce #ifdefs in OpenAL headers.

	* src/al_types.h, src/alc/alc_context.c: Synchronized names of
	device structs to reduce #ifdefs in OpenAL headers.

2005-09-18  Sven Panne  <sven.panne@aedion.de>

	* src/arch/interface/interface_sound.c: Silenced warnings about
	stubbed pause/resume functionality. It is not clear if there is
	really something missing, but it was quite annoying.

	* src/al_mixer.c: When the (asynchronous) current context was set
	to NULL, the mixer thread was still in its busy wait(!) loop.
	Consequently other threads might wait forever to get the mixer
	lock and alcMakeContextCurrent might hang. We wait for 1us now in
	each mixer iteration to give other threads a chance to acquire the
	mixer lock. All the multithreading logic seems to be overly
	complicated, so it is not clear if this is really the correct way
	to fix this issue, but at least it seems to work on Linux now.

	* configure.ac: Use AL_BUILD_LIBRARY instead of _OPENAL32LIB.

2005-09-02  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in: alctypes.h and altypes.h are dead, Jim...

2005-09-01  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in, linux/include/AL/alext.h
	linux/src/Makefile.in, linux/src/al_source.c,
	linux/src/extensions/al_ext_loki.h, linux/test/Makefile.in:
	Removed ALUT implementation from linux subtree. Note that
	currently the linux/test directory doesn't build without fiddling
	around with compiler/linker flags. But this doesn't really matter,
	as all tests and examples will reside below the "one and only"
	alut directory in the future, anyway.

	* linux/src/alut/alut_imaadpcm.c, linux/src/alut/alut_main.c,
	linux/src/alut/alut_msadpcm.c, linux/src/alut/alut_rawadpcm.c,
	linux/src/alut/alut_wav.c: Removed.

2005-08-22  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in, linux/include/AL/alext.h: Merged alexttypes.h
	into alext.h, cleaning up things a little bit and adding a few
	ALAPIENTRY.

	* linux/include/AL/alexttypes.h: Removed.

2005-08-21  Sven Panne  <sven.panne@aedion.de>

	* linux/config-osx.h, linux/configure.ac, linux/INSTALL,
	linux/Makefile.in, linux/src/al_able.c, linux/src/al_buffer.c,
	linux/src/alc/alc_context.c, linux/src/alc/alc_context.h,
	linux/src/alc/alc_device.c, linux/src/alc/alc_device.h,
	linux/src/alc/alc_error.c, linux/src/alc/alc_error.h,
	linux/src/alc/alc_speaker.c, linux/src/alc/alc_speaker.h,
	linux/src/al_doppler.c, linux/src/al_filter.c,
	linux/src/al_filter.h, linux/src/al_listen.c, linux/src/al_main.c,
	linux/src/al_mixer.c, linux/src/al_siteconfig.h,
	linux/src/al_source.c, linux/src/alut/alut_imaadpcm.c,
	linux/src/alut/alut_msadpcm.c, linux/src/alut/alut_rawadpcm.c,
	linux/src/alut/alut_wav.c, linux/src/arch/alsa/alsa.c,
	linux/src/arch/linux/lin_dsp.c,
	linux/src/arch/solaris/solaris_native.c,
	linux/src/arch/waveout/waveout.c,
	linux/src/extensions/al_ext_capture.c,
	linux/src/extensions/al_ext_loki.c, linux/src/Makefile.in,
	linux/test/testcallback.c, linux/test/testcapture.c,
	linux/test/testchannel2.c, linux/test/testchannel.c,
	linux/test/testda.c, linux/test/testdoppler.c,
	linux/test/testgain.c, linux/test/testleak2.c,
	linux/test/testleak.c, linux/test/testlistener2.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testlistener.c, linux/test/testloop.c,
	linux/test/testmp32.c, linux/test/testmp3.c,
	linux/test/testmultialut.c, linux/test/testmulti.c,
	linux/test/testmulticontext2.c, linux/test/testmulticontext.c,
	linux/test/testmultimp3.c, linux/test/testmultinothread.c,
	linux/test/testnothread.c, linux/test/testpause.c,
	linux/test/testpitch2.c, linux/test/testpitch3.c,
	linux/test/testpitch4.c, linux/test/testpitch.c,
	linux/test/testpitchnothread2.c, linux/test/testpitchnothread.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c,
	linux/test/testqueue.c, linux/test/testrelative.c,
	linux/test/testreverb.c, linux/test/testsingle.c,
	linux/test/testsourcestop.c, linux/test/teststartstop.c,
	linux/test/teststream.c, linux/test/testtime.c,
	linux/test/testvorbis.c: This is a rather large commit including
	various separate things, but committing separately was not
	possible due to a CVS server failure yesterday. The most notable
	changes are:

	linux/audioconvert is now a subdirectory below linux/src. What is
	still missing is a separate subdirectory for AL stuff and perhaps
	one for utilities.

	Nuked jlib, in times of ElectricFence, dmalloc and valgrind there
	is really no place for home-grown memory debugging.

	Removed some dead code.

	Cleaned up #includes, probably much more to come. The previous
	situation was such a mess, where everybody #included almost
	everything else.

	* linux/src/audioconvert/ac_adpcm.c,
	linux/src/audioconvert/ac_adpcm.h,
	linux/src/audioconvert/ac_bits.c,
	linux/src/audioconvert/ac_channels.c,
	linux/src/audioconvert/ac_endian.c,
	linux/src/audioconvert/ac_endian.h,
	linux/src/audioconvert/ac_freq.c,
	linux/src/audioconvert/ac_helper.c,
	linux/src/audioconvert/ac_misc.c,
	linux/src/audioconvert/ac_wave.h,
	linux/src/audioconvert/audioconvert.h: Added.

	* linux/audioconvert/ac_adpcm.c, linux/audioconvert/ac_adpcm.h,
	linux/audioconvert/ac_bits.c, linux/audioconvert/ac_channels.c,
	linux/audioconvert/ac_endian.c, linux/audioconvert/ac_endian.h,
	linux/audioconvert/ac_format.c, linux/audioconvert/ac_freq.c,
	linux/audioconvert/ac_helper.c, linux/audioconvert/ac_misc.c,
	linux/audioconvert/ac_wave.h, linux/audioconvert/audioconvert.h,
	linux/audioconvert/.cvsignore, linux/audioconvert/Makefile.in,
	linux/audioconvert/test_ac.c, linux/include/jlib.h,
	linux/jlib/.cvsignore, linux/jlib/globals.c, linux/jlib/hash.c,
	linux/jlib/libjlib.h, linux/jlib/Makefile.in, linux/src/al_able.h,
	linux/src/al_attenuation.h, linux/src/al_doppler.h,
	linux/src/al_propagation.c, linux/src/al_propagation.h: Removed.

2005-08-20  Sven Panne  <sven.panne@aedion.de>

	* linux/src/al_ext.c, linux/src/al_main.c,
	linux/src/alc/alc_context.c, linux/test/Makefile.in: Merged Ryan
	C. Gordon's basic support for capture.

	* linux/test/testcapture2.c: Added.

2005-08-19  Sven Panne  <sven.panne@aedion.de>

	* linux/configure.ac, linux/src/al_bpool.c, linux/src/al_buffer.c,
	linux/src/al_config.c, linux/src/al_debug.c,
	linux/src/al_distance.c, linux/src/al_doppler.c,
	linux/src/al_error.c, linux/src/al_ext.c, linux/src/al_ext.h,
	linux/src/al_filter.c, linux/src/al_listen.c, linux/src/al_main.c,
	linux/src/al_main.h, linux/src/al_mixer.c, linux/src/al_mixfunc.c,
	linux/src/al_propagation.c, linux/src/al_queue.c,
	linux/src/al_rcvar.c, linux/src/al_source.c, linux/src/al_spool.c,
	linux/src/al_state.c, linux/src/al_vector.c,
	linux/src/mixaudio16.c, linux/src/alc/alc_context.c,
	linux/src/alc/alc_context.h, linux/src/alc/alc_device.c,
	linux/src/alc/alc_error.c, linux/src/alc/alc_error.h,
	linux/src/alc/alc_speaker.c, linux/src/alut/alut_imaadpcm.c,
	linux/src/alut/alut_main.c, linux/src/alut/alut_msadpcm.c,
	linux/src/alut/alut_wav.c, linux/src/arch/alsa/alsa.c,
	linux/src/arch/arts/arts.c, linux/src/arch/bsd/bsd_dsp.c,
	linux/src/arch/bsd/bsd_dsp.h,
	linux/src/arch/darwin/darwin_native.h, linux/src/arch/esd/esd.c,
	linux/src/arch/i386/floatmul.c,
	linux/src/arch/interface/interface_sound.c,
	linux/src/arch/irix/iris.c, linux/src/arch/irix/iris.h,
	linux/src/arch/linux/lin_dsp.c, linux/src/arch/linux/lin_dsp.h,
	linux/src/arch/morphos/morphos_dispatcher.c,
	linux/src/arch/morphos/morphos_native.h,
	linux/src/arch/null/null.c, linux/src/arch/portable/floatmul.c,
	linux/src/arch/sdl/sdl.c, linux/src/arch/solaris/solaris_native.h,
	linux/src/arch/waveout/waveout.c,
	linux/src/arch/windows/windows_native.c,
	linux/src/arch/windows/windows_native.h,
	linux/src/extensions/al_ext_capture.c,
	linux/src/extensions/al_ext_loki.c,
	linux/src/extensions/al_ext_mp3.c,
	linux/src/extensions/al_ext_vorbis.c: More fixes for Cygwin/MinGW
	compilation plus some #include cleanups. The "linux" subtree
	compiles now under Linux, MinGW/MSYS and Cygwin (with and without
	"-mno-cygwin").

	* linux/src/al_source.c, linux/src/al_threadlib.c,
	linux/src/alc/alc_context.c,
	linux/src/arch/windows/windows_native.c: Small fixes for
	Cygwin/MinGW compilation.

2005-08-18  Sven Panne  <sven.panne@aedion.de>

	* linux/src/al_mutexlib.h: Added missing "extern"s.

	* linux/configure.ac, linux/src/Makefile.in,
	linux/src/al_buffer.c, linux/src/al_main.c, linux/src/al_mixer.c:
	Use new thread library.

	* linux/src/al_threadlib.c, linux/src/al_threadlib.h: Added. This
	is a much cleaner and simpler merged version of the separate
	thread implementations.

	* linux/src/threads/Makefile.in,
	linux/src/threads/morphosthreads.c,
	linux/src/threads/morphosthreads.h,
	linux/src/threads/posixthreads.c,
	linux/src/threads/posixthreads.h, linux/src/threads/threadlib.h,
	linux/src/threads/windowsthreads.c,
	linux/src/threads/windowsthreads.h: Removed.

2005-08-17  Sven Panne  <sven.panne@aedion.de>

	* linux/src/al_main.c, linux/src/al_mixer.c,
	linux/src/threads/morphosthreads.c,
	linux/src/threads/morphosthreads.h,
	linux/src/threads/posixthreads.c,
	linux/src/threads/posixthreads.h, linux/src/threads/threadlib.h,
	linux/src/threads/windowsthreads.c,
	linux/src/threads/windowsthreads.h: Simplified thread lib.

	* linux/src/al_buffer.c, linux/src/al_ext.c, linux/src/al_mixer.c,
	linux/src/al_mutexlib.c, linux/src/al_mutexlib.h,
	linux/src/al_source.c, linux/src/al_spool.c,
	linux/src/alc/alc_context.c,
	linux/src/arch/windows/windows_native.c: Use an "_al" prefix for
	all globally visible symbols, which are internal to OpenAL.

	* linux/audioconvert/ac_adpcm.c, linux/audioconvert/ac_adpcm.h,
	linux/audioconvert/ac_bits.c, linux/audioconvert/ac_channels.c,
	linux/audioconvert/ac_endian.c, linux/audioconvert/ac_endian.h,
	linux/audioconvert/ac_format.c, linux/audioconvert/ac_freq.c,
	linux/audioconvert/ac_helper.c, linux/audioconvert/ac_misc.c,
	linux/audioconvert/ac_wave.h, linux/audioconvert/audioconvert.h,
	linux/audioconvert/test_ac.c, linux/include/AL/alext.h,
	linux/src/al_able.c, linux/src/al_able.h, linux/src/al_config.c,
	linux/src/al_config.h, linux/src/al_distance.h,
	linux/src/al_doppler.h, linux/src/al_error.h, linux/src/al_ext.c,
	linux/src/al_filter.h, linux/src/al_main.c, linux/src/al_main.h,
	linux/src/al_mixer.h, linux/src/al_mspool.h,
	linux/src/al_propagation.h, linux/src/al_rcvar.c,
	linux/src/al_rcvar.h, linux/src/al_state.h, linux/src/al_types.h,
	linux/src/al_vector.c, linux/src/mixaudio16.c,
	linux/src/mixaudio16.h, linux/src/alc/alc_context.h,
	linux/src/alc/alc_device.c, linux/src/alc/alc_device.h,
	linux/src/alc/alc_error.h, linux/src/alc/alc_speaker.c,
	linux/src/alc/alc_speaker.h, linux/src/arch/alsa/alsa.h,
	linux/src/arch/arts/arts.c, linux/src/arch/arts/arts.h,
	linux/src/arch/bsd/bsd_dsp.c,
	linux/src/arch/darwin/darwin_native.h, linux/src/arch/esd/esd.c,
	linux/src/arch/esd/esd.h, linux/src/arch/i386/floatmul.c,
	linux/src/arch/interface/interface_sound.c,
	linux/src/arch/interface/interface_sound.h,
	linux/src/arch/irix/iris.c, linux/src/arch/linux/lin_dsp.c,
	linux/src/arch/null/null.c, linux/src/arch/null/null.h,
	linux/src/arch/portable/floatmul.c, linux/src/arch/sdl/sdl.c,
	linux/src/arch/sdl/sdl.h, linux/src/arch/solaris/solaris_native.c,
	linux/src/arch/waveout/waveout.c,
	linux/src/arch/waveout/waveout.h,
	linux/src/arch/windows/windows_native.c,
	linux/src/extensions/al_ext_mp3.h,
	linux/src/extensions/al_ext_vorbis.h, linux/test/testorient.c:
	Always #include the <AL/al.h>, <AL/alc.h> and <AL/alext.h>, not
	the footypes.h ones and not via "...".

2005-08-12  Sven Panne  <sven.panne@aedion.de>

	* include/AL/alut.h, linux/src/alut/alut_wav.c,
	linux/test/testalut.c, linux/test/testattributes.c,
	linux/test/testcallback.c, linux/test/testcapture.c,
	linux/test/testchannel.c, linux/test/testchannel2.c,
	linux/test/testda.c, linux/test/testdevice.c,
	linux/test/testdoppler.c, linux/test/testext.c,
	linux/test/testgain.c, linux/test/testgainlinear.c,
	linux/test/testgendelbuffer_error.c,
	linux/test/testgendelsource_error.c, linux/test/testleak.c,
	linux/test/testleak2.c, linux/test/testlib.c,
	linux/test/testlistener.c, linux/test/testlistener2.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testloop.c, linux/test/testmp3.c,
	linux/test/testmp32.c, linux/test/testmulti.c,
	linux/test/testmultialut.c, linux/test/testmultichannel.c,
	linux/test/testmulticontext.c, linux/test/testmulticontext2.c,
	linux/test/testmultimp3.c, linux/test/testmultinothread.c,
	linux/test/testnothread.c, linux/test/testorient.c,
	linux/test/testpause.c, linux/test/testpitch.c,
	linux/test/testpitch2.c, linux/test/testpitch3.c,
	linux/test/testpitch4.c, linux/test/testpitchnothread.c,
	linux/test/testpitchnothread2.c, linux/test/testqueue.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c,
	linux/test/testrelative.c, linux/test/testreverb.c,
	linux/test/testsingle.c, linux/test/testsourcestop.c,
	linux/test/testsourceuniq.c, linux/test/teststartstop.c,
	linux/test/teststream.c, linux/test/teststrings.c,
	linux/test/testtime.c, linux/test/testvorbis.c: Const-corrected
	alutLoadWAVFile and alutLoadWAVMemory. Cleaned up examples a bit
	more while I was there (return values, naming consistency).
	
2005-08-12  Sven Panne  <sven.panne@aedion.de>

	* linux/test/Makefile.in, linux/test/testalinitexit.c,
	linux/test/testalut.c, linux/test/testattributes.c,
	linux/test/testbufferuniq.c, linux/test/testcallback.c,
	linux/test/testcapture.c, linux/test/testchannel.c,
	linux/test/testchannel2.c, linux/test/testda.c,
	linux/test/testdoppler.c, linux/test/testgain.c,
	linux/test/testleak.c, linux/test/testleak2.c,
	linux/test/testlib.c, linux/test/testlib.h,
	linux/test/testlistener.c, linux/test/testlistener2.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testloop.c, linux/test/testmp3.c,
	linux/test/testmp32.c, linux/test/testmulti.c,
	linux/test/testmultialut.c, linux/test/testmultichannel.c,
	linux/test/testmulticontext.c, linux/test/testmulticontext2.c,
	linux/test/testmultimp3.c, linux/test/testmultinothread.c,
	linux/test/testnothread.c, linux/test/testorient.c,
	linux/test/testpitch.c, linux/test/testpitch2.c,
	linux/test/testpitch3.c, linux/test/testpitch4.c,
	linux/test/testqueue.c, linux/test/testqueue2.c,
	linux/test/testqueue3.c, linux/test/testrelative.c,
	linux/test/testreverb.c, linux/test/testsingle.c,
	linux/test/testsourcestop.c, linux/test/testsourceuniq.c,
	linux/test/teststartstop.c, linux/test/teststream.c,
	linux/test/testtime.c, linux/test/testvorbis.c: Cleanup, much more
	to come...
	
	* linux/.indent.pro: Added.

	* linux/test/.indent.pro: Removed.

	* linux/src/Makefile.in, linux/src/al_buffer.c,
	linux/src/al_ext.c, linux/src/al_mixer.c, linux/src/al_types.h,
	linux/src/alc/alc_context.c,
	linux/src/arch/windows/windows_native.c,
	linux/src/extensions/al_ext_capture.c: Use new mutex lib.

	* linux/src/al_mutexlib.c, linux/src/al_mutexlib.h: Added. This is
	a much cleaner and simpler merged version of the separate mutex
	implementations.

	* linux/src/mutex/Makefile.in, linux/src/mutex/morphosmutex.c,
	linux/src/mutex/morphosmutex.h, linux/src/mutex/mutexlib.h,
	linux/src/mutex/posixmutex.c, linux/src/mutex/posixmutex.h,
	linux/src/mutex/windowsmutex.c, linux/src/mutex/windowsmutex.h:
	Removed.

2005-08-11  Sven Panne  <sven.panne@aedion.de>

	* linux/include/AL/alext.h, linux/include/AL/alexttypes.h: Made
	#defines for protection against multiple inclusion more
	consistent. Removed unused LAL_OPENAL #define. Added typedefs for
	reverb extensions.

	* linux/Makefile.in: Fixed "permission" target (shell scripts
	should stay executable).

2005-08-10  Sven Panne  <sven.panne@aedion.de>

	* linux/test/Makefile.in, linux/test/testalinitexit.c,
	linux/test/testalut.c, linux/test/testattributes.c,
	linux/test/testbufferuniq.c, linux/test/testcallback.c,
	linux/test/testcapture.c, linux/test/testchannel.c,
	linux/test/testchannel2.c, linux/test/testda.c,
	linux/test/testdevice.c, linux/test/testdoppler.c,
	linux/test/testext.c, linux/test/testgain.c,
	linux/test/testgainlinear.c, linux/test/testgendelbuffer_error.c,
	linux/test/testgendelsource_error.c, linux/test/testleak.c,
	linux/test/testleak2.c, linux/test/testlib.c,
	linux/test/testlib.h, linux/test/testlistener.c,
	linux/test/testlistener2.c, linux/test/testlistener3.c,
	linux/test/testlistener4.c, linux/test/testloop.c,
	linux/test/testmp3.c, linux/test/testmp32.c,
	linux/test/testmulti.c, linux/test/testmultialut.c,
	linux/test/testmultichannel.c, linux/test/testmulticontext.c,
	linux/test/testmulticontext2.c, linux/test/testmultimp3.c,
	linux/test/testmultinothread.c, linux/test/testnothread.c,
	linux/test/testorient.c, linux/test/testpause.c,
	linux/test/testpitch.c, linux/test/testpitch2.c,
	linux/test/testpitch3.c, linux/test/testpitch4.c,
	linux/test/testpitchnothread.c, linux/test/testpitchnothread2.c,
	linux/test/testqueue.c, linux/test/testqueue2.c,
	linux/test/testqueue3.c, linux/test/testrelative.c,
	linux/test/testreverb.c, linux/test/testsingle.c,
	linux/test/testsourcestop.c, linux/test/testsourceuniq.c,
	linux/test/teststartstop.c, linux/test/teststream.c,
	linux/test/teststrings.c, linux/test/testtime.c,
	linux/test/testvorbis.c: Added a new make target "indent" to
	indent all C/C++ files automatically and formatted all tests
	accordingly.

	* linux/test/.indent.pro: Added.

	* linux/Makefile.in: After a fresh checkout of the openal
	repository and after subsequent updates, most of the files are
	read-only, which doesn't really make sense. As a workaround, the
	top-level Makefile has a new "permissions" target to fix the local
	permissions.

2005-08-08  Sven Panne  <sven.panne@aedion.de>

	* linux/config-osx.h, linux/configure.ac: Removed unused
	--enable--fft option.

	* linux/src/al_complex.c, linux/src/al_complex.h: Removed, it was
	dead code.

	* linux/test/testattributes.c, linux/test/testchannel.c,
	linux/test/testda.c, linux/test/testdevice.c,
	linux/test/testext.c, linux/test/testgain.c,
	linux/test/testgainlinear.c, linux/test/testgendelbuffer_error.c,
	linux/test/testgendelsource_error.c, linux/test/testlistener.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testmp3.c, linux/test/testmp32.c,
	linux/test/testmulti.c, linux/test/testmultialut.c,
	linux/test/testmultimp3.c, linux/test/testmultinothread.c,
	linux/test/testnothread.c, linux/test/testorient.c,
	linux/test/testpause.c, linux/test/testpitch.c,
	linux/test/testpitch2.c, linux/test/testpitch3.c,
	linux/test/testpitch4.c, linux/test/testpitchnothread.c,
	linux/test/testpitchnothread2.c, linux/test/testqueue.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c,
	linux/test/testrelative.c, linux/test/testsingle.c,
	linux/test/testtime.c, linux/test/testvorbis.c: Removed useless
	fixup_function_pointers calls and testlib.h #includes.

	* linux/test/Makefile.in, linux/test/testalinitexit.c,
	linux/test/testalut.c, linux/test/testattributes.c,
	linux/test/testcallback.c, linux/test/testcapture.c,
	linux/test/testchannel.c, linux/test/testchannel2.c,
	linux/test/testdevice.c, linux/test/testext.c,
	linux/test/testgendelbuffer_error.c,
	linux/test/testgendelsource_error.c, linux/test/testleak.c,
	linux/test/testleak2.c, linux/test/testlib.c,
	linux/test/testlistener.c, linux/test/testlistener2.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testloop.c, linux/test/testmp3.c,
	linux/test/testmp32.c, linux/test/testmulti.c,
	linux/test/testmultialut.c, linux/test/testmultichannel.c,
	linux/test/testmulticontext.c, linux/test/testmulticontext2.c,
	linux/test/testmultimp3.c, linux/test/testpitch.c,
	linux/test/testpitch2.c, linux/test/testpitch3.c,
	linux/test/testpitch4.c, linux/test/testpitchnothread.c,
	linux/test/testpitchnothread2.c, linux/test/testqueue.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c,
	linux/test/teststartstop.c, linux/test/teststream.c,
	linux/test/teststrings.c, linux/test/testtime.c,
	linux/test/testvorbis.c: Warning police.

	* linux/test/testmath.c: Removed, it was an outdated white-box
	test which didn't belong here.

	* linux/src/alut/alut_wav.c, linux/test/testda.c,
	linux/test/testdoppler.c, linux/test/testgain.c,
	linux/test/testlistener.c, linux/test/testlistener2.c,
	linux/test/testlistener3.c, linux/test/testlistener4.c,
	linux/test/testloop.c, linux/test/testmp32.c,
	linux/test/testmulti.c, linux/test/testmultichannel.c,
	linux/test/testmultinothread.c, linux/test/testnothread.c,
	linux/test/testpause.c, linux/test/testpitch.c,
	linux/test/testpitchnothread.c, linux/test/testpitchnothread2.c,
	linux/test/testqueue.c, linux/test/testqueue2.c,
	linux/test/testqueue3.c, linux/test/testrelative.c,
	linux/test/testreverb.c, linux/test/testsingle.c,
	linux/test/testsourcestop.c, linux/test/testtime.c: Removed
	alutLoadWAV, it was undocumented and only available on Linux.

2005-08-05  Sven Panne  <sven.panne@aedion.de>

	* linux/src/al_buffer.c, linux/src/alut/alut_imaadpcm.c,
	linux/src/alut/alut_msadpcm.c, linux/src/alut/alut_rawadpcm.c,
	linux/src/extensions/al_ext_vorbis.c, linux/test/testalut.c,
	linux/test/testcapture.c, linux/test/testchannel.c,
	linux/test/testchannel2.c, linux/test/testgain.c,
	linux/test/testgainlinear.c, linux/test/testmultialut.c,
	linux/test/testmulticontext.c, linux/test/testmulticontext2.c,
	linux/test/testmultinothread.c, linux/test/testpitch.c,
	linux/test/testpitch2.c, linux/test/testpitch3.c,
	linux/test/testpitch4.c, linux/test/testpitchnothread.c,
	linux/test/testpitchnothread2.c, linux/test/testqueue.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c,
	linux/test/teststartstop.c, linux/test/testtime.c: Cleaned up
	#includes a bit.
	
	* linux/src/al_doppler.c, linux/src/alc/alc_context.c: Added a few
	UNUSED() to avoid currently useless warnings.

	* linux/src/al_queue.c, linux/test/testqueue.c,
	linux/test/testqueue2.c, linux/test/testqueue3.c: Removed obsolete
	and undocumented alQueuei API entry. Its functionality is subsumed
	by alSourcei and alSourceQueueBuffers.

	* linux/src/al_ext_iasig.c: Removed. It was a stub for
	undocumented functionality only, anyway.

	* src/Makefile.in: al_ext_iasig.c has gone...

2005-07-18  Sven Panne  <sven.panne@aedion.de>

	* linux/doc/openal.texi, linux/src/al_state.c,
	linux/src/al_state.h: Nuked alHint(), it is not in the 1.1 spec.

2005-07-03  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in: aluttypes.h is dead, Jim...

2005-04-17  Sven Panne  <sven.panne@aedion.de>

	* linux/src/alut/alut_main.c: Don't set an ALC error
	condition. Close the device in alutExit. Don't use a global
	variable for the context, use the current context instead, just
	like the other ALUT implementations.

2005-04-16  Sven Panne  <sven.panne@aedion.de>

	* linux/doc/openal.texi: Updated documentation a bit.

	* include/AL/alc.h, linux/src/alc/alc_context.c: The Linux
	implementation of alcProcessContext and alcDestroyContext follow
	the spec now and return void. Again, this breaks compatibility.

	* include/AL/alc.h: Removed useless #ifdef.

	* include/AL/alc.h, linux/doc/openal.texi,
	linux/src/alc/alc_context.c: The Linux implementation of
	alcMakeContextCurrent follows the spec now and returns an
	ALCboolean, where ALC_TRUE (value 1) means "OK". Formerly it
	returned an ALCenum, where ALC_NO_ERROR (value 0) meant "OK", so
	this change breaks compatibility, but I can't see a way around
	it. It is a total miracle why a value is returned at all, because
	alcMakeContextCurrent sets an ALC error condition in case of a
	failure, anyway, so the right way would be using alcGetError.

	* linux/pb.tar.gz: Removed. It seems to be an ancient leftover for
	MacOS X.

2005-04-11  Sven Panne  <sven.panne@aedion.de>

	* demos/altest/common/altest.cpp, include/AL/altypes.h,
	linux/doc/openal.texi, linux/src/al_able.c, linux/src/al_buffer.c,
	linux/src/al_distance.c, linux/src/al_error.c, linux/src/al_ext.c,
	linux/src/al_ext_iasig.c, linux/src/al_filter.c,
	linux/src/al_listen.c, linux/src/al_mixer.c, linux/src/al_queue.c,
	linux/src/al_source.c, linux/src/al_state.c,
	linux/src/extensions/al_ext_loki.c: Use the official error tokens
	internally. Deprecated AL_INVALID. Added a preprocessor token
	AL_PURE_API which can be #defined to 1 to exclude non-1.1 stuff
	(more to come).

	* include/AL/altypes.h: Re-arranged AL error tokens a bit,
	synchronizing the documentation with the OpenAL 1.1
	spec. Explicitly stated that AL_ILLEGAL_ENUM and
	AL_ILLEGAL_COMMAND are deprecated tokens from ancient times.

2005-03-31  Sven Panne  <sven.panne@aedion.de>

	* linux/configure.ac: Define _OPENAL32LIB for Cygwin/MinGW builds.

	* linx/src/al_ext.c, linx/src/al_ext_iasig.c,
	linx/src/al_source.c: Added a few "#ifdef LINUX_AL" to synch the
	code with the headers.

	* linux/configure.ac: Initial MinGW support.

	* linux/configure.ac: Add a compatibility hack for older autoconf
	versions, so we require version >2.50 only now.

	* include/AL/altypes.h, linux/src/al_ext.c: AL_DISTANCE_SCALE is
	dead, Jim...

	* include/AL/altypes.h: Removed useless #ifdef for ALvoid.

	* include/AL/al.h, include/AL/alut.h, linux/doc/openal.texi,
	linux/include/AL/alext.h, linux/include/AL/alexttypes.h,
	linux/src/al_vector.c, linux/src/al_vector.h,
	linux/src/alut/alut_wav.c, linux/src/extensions/al_ext_capture.c,
	linux/test/testlib.c, linux/test/testlib.h: Follow the OpenGL
	spirit in using ALvoid only in the context of opaque/unspecified
	pointers.

	* linux/src/arch/darwin/CVS_Update.txt,
	linux/src/arch/darwin/Tests_Results.rtf: Added.

	* "linux/src/arch/darwin/CVS Update.txt",
	"linux/src/arch/darwin/Tests Results.rtf": Removed. Filenames with
	whitespace are more trouble with shell scripting than they are
	worth.

2005-03-25  Sven Panne  <sven.panne@aedion.de>

	* linux/test/teststrings.c: Fixed context/device handling to make
	valgrind's memory leak checker happy plus a few cosmetic changes.

	* linux/configure.ac, linux/src/al_config.c, linux/src/al_debug.c,
	linux/src/al_ext.c, linux/src/al_main.c, linux/src/al_rcvar.c,
	linux/src/arch/alsa/alsa.c, linux/src/arch/arts/arts.c,
	linux/src/arch/esd/esd.c, linux/src/arch/linux/lin_dsp.c,
	linux/src/arch/solaris/solaris_native.c,
	linux/src/arch/waveout/waveout.c,
	linux/src/arch/windows/windows_native.c,
	linux/src/extensions/al_ext_capture.c: Never use
	strcpy/strcyt/sprintf, use their safe relatives
	strncpy/strncat/snprintf instead.

	* linux/src/configure.ac: <alsa/asoundlib.h> needs <time.h> when
	ISO C99 is enabled.

	* linux/src/al_config.c: As mentioned in the docs, try system wide
	config file in /etc if no user-specific one is found.

2005-03-23  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in, linux/config-osx.h, linux/configure.ac,
	linux/openal-config.in, linux/openal.pc.in,
	linux/audioconvert/Makefile.in, linux/src/Makefile.in,
	linux/src/al_state.c: Centralize and simplify versionitis;
	everything is derived from the PACKAGE_VERSION defined via AC_INIT
	now.

	* linux/src/Makefile.in: Avoid useless relinking.

	* linux/audioconvert/Makefile.in: The test audioconvert test
	program is now called "test_ac". Using plain "test" could have
	been very surprising depending on your shell/PATH/..., because it
	is a very common shell builtin.

	* linux/audioconvert/test.c: Removed.

	* linux/audioconvert/test_ac.c: Added.

	* linux/Makefile.in, linux/audioconvert/Makefile.in,
	linux/doc/Makefile.in, linux/jlib/Makefile.in
	linux/src/Makefile.in, linux/test/Makefile.in: Unified *clean
	targets a bit and added a new target "repo-clean" which brings
	back everything to the "fresh from repository" state. Alas, there
	is no standard GNU target for this.

	Note that there is still a lot of cut-n-paste going on here, but
	this will improve when we switch to automake/libtool (which I
	intend to do).

2005-03-20  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in, linux/audioconvert/Makefile.in,
	linux/configure.ac, linux/jlib/Makefile.in, linux/src/Makefile.in,
	linux/test/Makefile.in: Explicitly handling MAKE is evil because
	it prevents the correct passing of commandline arguments to
	sub-makes. Small cleanup.

	* linux/configure.ac: Modernized a bit, requiring autoconf 2.58
	now. Fixed alsa-dlopen, arts-dlopen and esd-dlopen flags. Removed
	random "spell checking" of arguments. Removed --with-gcc flag,
	setting CC is the "autoconf way" of doing that.

	* linux/acconfig.h, linux/acinclude.m4, linux/aclocal.m4: Removed.

2005-03-18  Sven Panne  <sven.panne@aedion.de>

	* linux/audioconvert/ac_misc.c: Removed type punning, newer gcc
	don't like it. Made ReadChunk a bit nicer on the way.

	* linux/acinclude.m4, linux/aclocal.m4, linux/configure.ac,
	linux/src/Makefile.in: Removed MMX stuff, it is not working
	currently, the time of MMX detection is wrong, and even leads to
	compile-time errors.

	* linux/Makefile.in, linux/PLATFORM, linux/configure.ac,
	linux/configure.in: Renamed configure.in to configure.ac, the
	former is a misnomer, see the autoconf documentation.

2005-03-15  Sven Panne  <sven.panne@aedion.de>

	* linux/Makefile.in: Make relative versioning links to dynamic
	libraries instead of absolute ones. Among other things, it makes
	it possible to have relocatable packages, which is very nice for
	non-root users.

	* include/AL/alext.h, linux/src/al_main.c, linux/src/al_main.h,
	linux/src/alc/alc_context.c, linux/src/alc/alc_context.h,
	linux/src/extensions/al_ext_vorbis.c: Fixed the const-correctness
	of _alIsZeroVector, _alcSetContext and alutLoadVorbis_LOKI. Note
	that Ogg Vorbis' headers are not const-correct, so we still get a
	warning, this time for the 3rd parameter of ov_open_callbacks,
	which is a const pointer in reality.

	Corrected the first argument of _alcSetContext (ALCint vs. int).

	Removed a few incorrect UNUSED().

	* linux/src/al_source.c: Fixed a signed/unsigned comparison
	warning.

	* linux/src/al_source.c, linux/src/arch/alsa/alsa.c,
	linux/src/arch/arts/arts.c, linux/src/arch/esd/esd.c:
	Removed/#if'd a few unused variables.

	* linux/src/arch/alsa/alsa.c: Synchronized the type of
	psnd_pcm_hw_params_get_period_size with the corresponding ALSA 1.x
	prototype.

	ALSA versioning is still handled incorrectly when
	OPENAL_DLOPEN_ALSA is defined: Consider the case when e.g. the
	library was compiled against a 1.x ALSA (i.e. SND_LIB_MAJOR != 0),
	but at runtime dlvsym() finds a ALSA_0.9.0rc4 version of a given
	function. The function is then still called like it has a 1.x
	signature, leading to incorrect parameter passing.

	The right way to handle this versionitis would be to remember
	which version was found and use the corresponding interface
	later. If only an unversioned symbol could be found, assuming the
	1.x signature is probably the right thing nowadays.

	* linux/src/extensions/al_ext_mp3.c,
	linux/src/extensions/al_ext_vorbis.c: Added missing #includes to
	get the prototypes for memset, memcpy, and alGetProcAddress.

2005-01-28  Adam D. Moss  <adam@steambird.com>

	* linux/configure.in, linux/openal.spec: Bump version to 0.0.8

2005-01-28  Adam D. Moss  <adam@steambird.com>

	* generate/install openal-config and openal.pc(pkgconfig) files
        for OpenAL (Patches by D. Hageman <dhageman@dracken.com>)

2004-11-28  Adam D. Moss  <adam@steambird.com>

	* src/arch/alsa/alsa.c: commit a fixed version of patch by Dino
        Puller <dino@e4a.it> to be more lenient with accepted buffer sizes
        from the hardware.

2004-09-10  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/mixaudio16.c: Issue an error if we've tried
        to compile with the broken MMX support enabled and we're not
        a genius.

2004-06-30  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/al_doppler.c: Permit a DOPPLER_FACTOR of 0 as
        per the spec.  Noticed by Jason Daly <jdaly@ist.ucf.edu>

2004-06-30  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/al_filter.c: Doppler fixes based on a patch
        from Jason Daly <jdaly@ist.ucf.edu> with an additional fix.

2004-06-30  Adam D. Moss  <adam@steambird.com>

	* openal/linux/test/testdoppler.c: A more realistic and helpful
        doppler test -- move the source towards, through, and away from
        the listener, while accelerating constantly.

2004-06-30  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/alsa/alsa.c: Nonsensical partial revertion to
        work around problem experienced by Prakash K. Cheemplavam.  My
        respect for ALSA has slowly eroded close to the negative by now.

2004-06-25  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/alsa/alsa.c: Preferentially load symbol
        versions which are known to be good, before falling back to generic
        unversioned symbols.  This avoids picking up random crappy interface
        versions in the dlsym roulette.

2004-06-25  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/configure.in
	* openal/linux/src/arch/arts/arts.c
	* openal/linux/src/arch/esd/esd.c: From Marco Ziech <mmz@gmx.net>:
        Add option to load arts and esd libraries at run-time.

2004-06-25  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/alsa/alsa.c
	* openal/linux/src/alc/alc_context.c: If _alcDeviceSet() fails then
        return straight after setting the error code, instead of proceeding
        to call _alSetMixer().  This stops AL going into a tight loop if
        a driver's set_write_???() fails.

2004-06-25  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/alsa/alsa.c: Fix from Marco Ziech <mmz@gmx.net>
        for more correct dlsym error handling.

2004-06-04  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/alsa/alsa.c: Fixes from Marco Ziech
        <mmz@gmx.net>: Fixes for ALSA backend - fix some bugs
        in alsa_blitbuffer, including handling of EPIPE.  Also init ALSA
        in non-blocking mode so that ALSA init can potentially properly fail
        instead of hang if artsd or esd are running.

2004-05-29  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/al_queue.c: Assert fix from
        Erik Hofman <erik@ehofman.com>

2004-05-23  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/arts/arts.c: ARTS fix from
        Andreas Beckermann <b_mann@gmx.de>

2004-05-21  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/irix/iris.c: Various IRIX backend
	fixes from Erik Hofman.

2004-05-18  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/arch/irix/iris.c: New IRIX backend from
        Erik Hofman <erik@ehofman.com>, supports 4-channel audio and
        more flexible config.

2004-05-18  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/al_buffer.c: buf->queue_list.size is not the
        same thing as buf->queue_list.items; don't use one when we mean
        the other, or strangeness may occur.

2004-05-18  Adam D. Moss  <adam@steambird.com>

	* openal/linux/src/al_queue.c: Plug a memory leak... or at least
        work around it.

2004-02-02  Ryan C. Gordon  <ryan@epicgames.com>

	* openal/linux/configure.in
	* openal/linux/src/arch/alsa/alsa.c
	Optionally use dlopen() on libasound instead of linking directly to it
	in the ALSA driver. Enable this at configure time with:
	   ./configure --enable-alsa --enable-alsa-dlopen

2004-01-29  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* openal/include/AL/altypes.h
	* openal/include/AL/alctypes.h
	Type consolidation, minor number bump

	* openal/linux/src/al_buffer.h
	* openal/linux/src/al_buffer.c
	AL_CURRENT/AL_QUEUED to AL_PROCESSED/AL_PENDING

2004-01-07  Adam D. Moss  <adam@steambird.com>

	* audioconvert/ac_freq.c: Fix another potential overenthusiasm
	when frequency-upscaling a single 16-bit sample.	

2003-12-26  Adam D. Moss  <adam@steambird.com>

	* src/extensions/al_ext_loki.c: Use the correct sample size
	in alBufferWriteData_LOKI() after the monoification.  Fixes the
	problem of the buffer playing for much longer than it should.

2003-12-23  Adam D. Moss  <adam@steambird.com>

	* audioconvert/ac_freq.c: Fix some minor brainos in the
	interpolated resample*2, and (more critically) don't do
	extraneous bad things when cvt->len_cvt==0.

2003-11-11  Adam D. Moss  <adam@steambird.com>

	* src/al_debug.c: Fix an implicit declaration: the man
	page on linux says that vsnprintf() is a GNU extension, so #define
	_GNU_SOURCE

2003-11-11  Adam D. Moss  <adam@steambird.com>

	* src/arch/sdl/sdl.c: #include <string.h> to avoid implicit
	declaration of memcpy()/memset()

2003-11-11  Adam D. Moss  <adam@steambird.com>

	* audioconvert/ac_freq.c
	For the first sample in a chunk to be resampled*2, use dampened
        extrapolation instead of interpolation to somewhat reduce 'clicking'.

2003-11-03  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* Michel Danzer's big endian patch

2003-10-23  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* audioconvert/ac_freq.c
	Added Adam Moss's patch to improve fidelity of low-sampled sounds
	in higher sampling-rate environments.

2003-06-20  Erik Greenwald <erik@smluc.org>

	* (many)
	Removed trailing spaces and tabs.

2003-05-15  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* src/arch/alsa/alsa.c:
	Moves alsa/asoundlib.h inclusion below sys/time.h

2003-05-07  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* src/al_filter.c:
	Changed doppler to multiply existing pitch, if present.

2003-04-01  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* misc
	Joe Tennies's vector patches

2003-03-23  Joseph I. Valenzuela  <jvalenzu@formosa.infinite-monkeys.org>

	* src/al_source.c:
	Sunil's updated patch

2003-03-21  Joseph I. Valenzuela  <jvalenzu@formosa.infinite-monkeys.org>

	* src/al_source.c
	queueing pizzatch

2003-01-13  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* al/aluttypes.h
	* linux/include/al/alexttypes.h
	Added AL_PROVIDES_ALUT and LAL_OPENAL defines.

	* openal.spec
	added file

	* Changelog
	Removed "formosa." from my email

	* src/arch/morphos/morphos_dispatcher.c
	* src/arch/morphos/morphos_dispatcher.h
	* src/arch/morphos/morphos_native.c
	* src/arch/morphos/morphos_native.h
	* src/mutex/morphosmutex.c
	* src/mutex/morphosmutex.h
	* src/threads/morphosthreads.c
	* src/threads/morphosthreads.h
	Added Ruediger Hanke <tomjoad@muenster.de>'s MorphOS files.

2003-01-06  Erik Greenwald <erik@smluc.org>

	* src/arch/bsd/bsd_dsp.c
	* src/arch/bsd/bsd_dsp.h
	Fixes for FreeBSD 4.7 (-stable)

2003-01-02  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* src/arch/linux/lin_dsp.c
	Fix to try /dev/sound/dsp as well as /dev/dsp.  Thanks to
	Sebastian Kapfer for that.

	* test/.cvsignore
	* test/testattributes.c
	* test/Makefile.in
	Added attribute testing

	* src/al_types.h
	Added space for flag saving, context/device association.

	* src/alc/alc_context.c
	* src/alc/alc_device.c
	* src/alc/alc_device.h
	Context attribute management

	* src/al_source.c
	Addition queue fixes.

2002-12-30  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* openal/linux/src/al_mixer.c
	* openal/linux/src/al_source.c
	Fix assertions for queue mixing, not done yet.


2002-12-17  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>
	* src/al_queue.c
	* src/al_mixer.c
	* src/al_source.c
	* src/al_source.h
	Re-added Zoltan Ponekker's patch to fix queue looping.

2002-12-04  Joseph I. Valenzuela  <jvalenzu@infinite-monkeys.org>

	* src/al_filter.c
	Added John Quigley's change to queue gain stuff.

	* src/al_queue.c
	* src/al_mixer.c
	* src/al_source.c
	* src/al_source.h
	Added Zoltan Ponekker's patch to consolidate queue looping.

2002-11-19  Joseph I. Valenzuela  <jvalenzu@formosa>

	* openal/linux/src/al_source.c
	* openal/include/AL/al.h
	Added alGetSource3f for compatibility with win implementation.

2002-09-19  Joseph I. Valenzuela  <jvalenzu@formosa>

	* src/arch/alsa/alsa.c
	Added Dirk's alsa changes

	* CREDITS
	Added Dirk Ehlke's name

2002-09-17  Joseph I. Valenzuela  <jvalenzu@formosa>

	* src/al_filter.c
	Fixed stupidity where source's gain wasn't being applied
	to non distance attentuated sources.

2002-09-16  Christopher Purnell  <cjp@lost.org.uk>

	* src/al_filter.c
	* src/al_filter.h
	* src/al_types.h
	Added a panning filter.  This calculates the directional speaker gains
	in a way that is independant of distance.

	* src/alc/alc_speaker.c
	* src/alc/alc_speaker.h
	Speaker distace now has a value of 1 to simplify the math.

2002-09-09  Ryan C. Gordon  <ryan@epicgames.com>

	* src/alc/alc_context.c:
	Moved call to _alcSpeakerInit() to prevent segfault from referencing
	the context's write_device before it was initialized.

2002-09-08  Ryan C. Gordon  <ryan@epicgames.com>

	* src/arch/sdl/sdl.c:
	Changed sdl_blitbuffer() to call SDL_Delay(1) instead of SDL_Delay(0)
	while waiting for space in the ring buffer to become available.
	SDL_Delay(0) is almost universally a no-op, so this was eating the CPU.

2002-09-08  Christopher Purnell  <cjp@lost.org.uk>

	* src/alc/alc_speaker.c
	Changed _alcSpeakerMove() so that it creates a matrix itself from
	the listener orientation and applies that to the speaker positions
	instead of using _alRotatePointAboutAxis().  Also adjusted the
	speaker positions for fourpoint.

	* src/al_vector.c
	* src/al_vector.h
	Added a vector product function.

2002-09-07  Joseph I. Valenzuela  <jvalenzu@formosa>

	* src/al_filter.c:
	Messed with pitch again.  Both removed and reintroduced lookup
	table, but I think the result is more sound now.  Got a chance to
	clean it up, may revisit soon to reduce memory fragmentation in
	the tpitch lookup table.

2002-09-05  Ryan C. Gordon  <ryan@epicgames.com>

	* src/arch/sdl/sdl.c:
	Patched to function, again.

2002-09-05  Joseph I. Valenzuela  <jvalenzu@formosa>

	* configure.in, al_debug.h, al_debug.c
	added ALD_FILTER debug category

	* al_filter.c
	added non lookup table version of alf_tpitch for ryan

	* foo
	bar

2002-07-18  Joseph I. Valenzuela  <jvalenzu@forbidden.loungenet.org>

	* fix bug that incorrectly reported LAL_VERSION as 1
 	  instead of "0.0.6"

2002-07-12  Joseph I. Valenzuela  <jvalenzu@formosa>

	* /usr/local/cvs-repository/openal/linux/Makefile.in
	* /usr/local/cvs-repository/openal/linux/aclocal.m4
	* /usr/local/cvs-repository/openal/linux/autogen.sh
	* /usr/local/cvs-repository/openal/linux/configure.in

	Joseph Carter's patches to enable compilation with recent
	versions of autoconf

	* /usr/local/cvs-repository/openal/linux/audioconvert/ac_adpcm.c

	Change variable names from index

	* /usr/local/cvs-repository/openal/linux/include/AL/alext.h
	* /usr/local/cvs-repository/openal/linux/include/AL/alexttypes.h

	move typedefs to alexttypes.h

	* /usr/local/cvs-repository/openal/linux/src/al_types.h
	Added device specifier to device

	* /usr/local/cvs-repository/openal/linux/src/al_buffer.c
	* /usr/local/cvs-repository/openal/linux/src/al_buffer.h
	* /usr/local/cvs-repository/openal/linux/src/extensions/al_ext_loki.c

	change style of orig_buffer allocation to reduce memory.  Now
	channels in buf->orig_buffer may be duplicated, so freeing
	requires uniq'ing orig_buffer[0..._ALC_MAX_CHANNELS].

	* /usr/local/cvs-repository/openal/linux/src/al_main.h

	H to the Izzo

	* /usr/local/cvs-repository/openal/linux/src/al_source.c

	Change variable name from rindex

	* /usr/local/cvs-repository/openal/linux/src/mixaudio16.c
	Add a little sanity to MixAudio16_n

	* /usr/local/cvs-repository/openal/linux/src/alc/alc_context.c
	* /usr/local/cvs-repository/openal/linux/src/alc/alc_context.h
	* /usr/local/cvs-repository/openal/linux/src/alc/alc_device.c
	Added device specifier and attribute stubs

	* /usr/local/cvs-repository/openal/linux/test/.cvsignore

	V to the Izza

	* /usr/local/cvs-repository/openal/linux/test/testlib.c
	* /usr/local/cvs-repository/openal/linux/test/testlib.h

	Added function pointer for alBufferWriteData_LOKI

	* /usr/local/cvs-repository/openal/linux/test/testmultichannel.c

	Changed testmultichannel to use alBufferWriteData_LOKI

2002-05-06  Joseph I. Valenzuela  <jvalenzu@forbidden.loungenet.org>

	* src/al_siteconfig.h
	- doh!

2002-05-06  Joseph I. Valenzuela  <jvalenzu@formosa>

	* openal/linux/CREDITS
	- vanity change

	* openal/linux/configure.in
	- moved dl check out of darwin

	* openal/linux/audioconvert/ac_format.c
	- don't remember

	* openal/linux/src/Makefile.in
	- changes to aid darwin compilation

	* openal/linux/src/al_propagation.c
	- remind me to remove this

	* openal/linux/src/mutex/mutexlib.h
	* openal/linux/src/al_ext.c
	* openal/linux/src/al_main.c
	* openal/linux/src/al_siteconfig.h

	* openal/linux/test/Makefile.in
	- changed tests to use static openal lib

	* openal/linux/test/testlib.c
	* openal/linux/test/testlib.h
	- goofy problem with duplicate symbol declarations,
	  how did I not catch this before


2002-05-03  Joseph I. Valenzuela  <jvalenzu@formosa>

	* Darwin updates

2002-05-03  Joseph I. Valenzuela  <jvalenzu@forbidden.loungenet.org>

	* /openal/linux/src/arch/alsa/alsa.h
	* /openal/linux/src/arch/alsa/alsa.c
	Updated alsa backend to match current trend in apis

	* /openal/linux/src/configure.in
	Updated alsa test

2001-01-26  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* /openal/linux/audioconvert/ac_helper.c
	* /openal/linux/src/al_config.c
	* /openal/linux/src/al_error.c
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_mixfunc.c
	* /openal/linux/src/al_mixmanager.c
	* /openal/linux/src/al_queue.c
	* /openal/linux/src/al_rctree.c
	* /openal/linux/src/al_rcvar.c
	* /openal/linux/src/al_rcvar.h
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_state.c
	* /openal/linux/src/Attic/al_vector.c
	* /openal/linux/src/mixaudio16.c
	* /openal/linux/src/alc/alc_context.c
	* /openal/linux/src/alc/alc_context.h
	* /openal/linux/src/alc/Attic/alc_device.c
	* /openal/linux/src/alc/alc_error.c
	* /openal/linux/src/alc/alc_speaker.c
	* /openal/linux/src/alut/alut_imaadpcm.c
	* /openal/linux/src/extensions/al_ext_capture.h
	* /openal/linux/src/extensions/al_ext_loki.h
	* /openal/linux/src/extensions/al_ext_mp3.h
	* /openal/linux/src/extensions/al_ext_needed.h
	* /openal/linux/src/extensions/al_ext_vorbis.h
	* /openal/linux/test/testtime.c

	Comments, mostly, small changes in filter order to audioconvert


2001-01-25  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/configure.in
	Simplified vorbis test.

	* /openal/linux/src/Makefile.in
	Added al_mspool.c.

	* /openal/linux/src/al_able.c
	* /openal/linux/src/al_bpool.c
	* /openal/linux/src/al_buffer.c
	* /openal/linux/src/al_config.c
	* /openal/linux/src/al_debug.c
	* /openal/linux/src/al_distance.c
	* /openal/linux/src/al_doppler.c
	* /openal/linux/src/al_error.c
	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_listen.c
	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/alc/alc_context.h

	More comments.

	* /openal/linux/src/arch/darwin/Attic/TODO
	* /openal/linux/src/arch/darwin/Attic/darwin_native.c

	Darwin backend fixes.

	* /openal/linux/src/arch/interface/interface_sound.c
	* /openal/linux/src/arch/linux/lin_dsp.c

	Futzing around, trying to sort out problem on commercial OSS.


2001-01-24  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/Makefile.in
	Added entry for al_vector.c

	* /openal/linux/include/AL/alext.h
	* /openal/linux/src/al_able.h
	* /openal/linux/src/al_attenuation.h
	* /openal/linux/src/al_buffer.h
	* /openal/linux/src/al_config.h
	* /openal/linux/src/al_debug.h
	* /openal/linux/src/al_distance.h
	* /openal/linux/src/al_doppler.h
	* /openal/linux/src/al_error.h
	* /openal/linux/src/al_able.c
	* /openal/linux/src/al_buffer.c
	* /openal/linux/src/al_config.c
	* /openal/linux/src/al_debug.c
	* /openal/linux/src/al_error.c
	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_ext.h
	* /openal/linux/src/al_ext_iasig.c
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_filter.h
	* /openal/linux/src/al_listen.c
	* /openal/linux/src/al_listen.h
	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_mixer.h
	* /openal/linux/src/al_mixfunc.h
	* /openal/linux/src/al_mixmanager.h
	* /openal/linux/src/al_queue.c
	* /openal/linux/src/al_queue.h
	* /openal/linux/src/al_rctree.h
	* /openal/linux/src/al_rcvar.c
	* /openal/linux/src/al_rcvar.h
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_source.h
	* /openal/linux/src/al_spool.c
	* /openal/linux/src/al_spool.h
	* /openal/linux/src/al_state.c
	* /openal/linux/src/al_state.h
	* /openal/linux/src/al_types.h
	* /openal/linux/src/mixaudio16.h
	* /openal/linux/src/alc/alc_context.c
	* /openal/linux/src/alc/alc_context.h
	* /openal/linux/src/alc/alc_error.c
	* /openal/linux/src/alc/alc_error.h
	* /openal/linux/src/alc/alc_speaker.c
	* /openal/linux/src/alc/alc_speaker.h
	* /openal/linux/src/alut/alut_imaadpcm.c
	* /openal/linux/src/alut/alut_msadpcm.c
	* /openal/linux/src/alut/alut_wav.c
	* /openal/linux/src/arch/alsa/alsa.c
	* /openal/linux/src/arch/arts/arts.c
	* /openal/linux/src/arch/bsd/bsd_dsp.c
	* /openal/linux/src/arch/darwin/Attic/darwin_native.c
	* /openal/linux/src/arch/emu10k1/emu10k1.c
	* /openal/linux/src/arch/esd/esd.c
	* /openal/linux/src/arch/interface/interface_sound.c
	* /openal/linux/src/arch/interface/interface_sound.h
	* /openal/linux/src/arch/interface/platform.h
	* /openal/linux/src/arch/irix/iris.c
	* /openal/linux/src/arch/linux/lin_dsp.c
	* /openal/linux/src/arch/linux/lin_dsp.h
	* /openal/linux/src/arch/null/null.c
	* /openal/linux/src/arch/portable/floatmul.c
	* /openal/linux/src/arch/sdl/sdl.c
	* /openal/linux/src/arch/solaris/solaris_native.c
	* /openal/linux/src/arch/waveout/waveout.c
	* /openal/linux/src/arch/windows/windows_native.c
	* /openal/linux/src/extensions/al_ext_loki.c
	* /openal/linux/src/extensions/al_ext_mp3.c
	* /openal/linux/src/mutex/posixmutex.h
	* /openal/linux/src/mutex/windowsmutex.h
	* /openal/linux/src/threads/posixthreads.h
	* /openal/linux/src/threads/windowsthreads.h
	* /openal/linux/test/testlistener3.c
	* /openal/linux/test/testlistener4.c
	* /openal/linux/test/testmp3.c
	* /openal/linux/test/testtime.c
	- More comments, smoothed out some namespace warts


2001-01-22  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/arch/darwin
	Added new directory for darwin backend.

	* /openal/linux/src/arch/darwin/FAQ
	* /openal/linux/src/arch/darwin/TODO
	* /openal/linux/src/arch/darwin/changes.txt
	* /openal/linux/src/arch/darwin/darwin_native.c
	* /openal/linux/src/arch/darwin/darwin_native.h
	New files for darwin backend.

	* /openal/linux/CREDITS
	Added Guillaume Borios to credits, for darwin backend.

	* /openal/linux/acconfig.h
	* /openal/linux/config.guess
	* /openal/linux/config.sub
	* /openal/linux/configure.in
	* /openal/linux/audioconvert/ac_misc.c
	* /openal/linux/src/Makefile.in
	* /openal/linux/src/al_main.h
	* /openal/linux/src/arch/interface/platform.h
	* /openal/linux/src/threads/posixthreads.c
	Changes for darwin backend


	* /openal/linux/src/alc/alc_context.c
	* /openal/linux/src/alc/alc_context.h
	Clean up.

	* /openal/linux/src/arch/linux/lin_dsp.c
	Changed signature of channel funcs to match ALCenum.

	* /openal/linux/acconfig.h
	* /openal/linux/configure.in
	* /openal/linux/include/AL/alexttypes.h
	* /openal/linux/src/Makefile.in
	* /openal/linux/src/al_buffer.h
	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_ext.h
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_filter.h
	* /openal/linux/src/al_listen.c
	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_source.h
	* /openal/linux/src/al_types.h
	* /openal/linux/src/extensions/al_ext_capture.c
	* /openal/linux/src/extensions/al_ext_loki.c
	* /openal/linux/test/Makefile.in
	* /openal/linux/test/testcallback.c
	* /openal/linux/test/testcapture2.c
	* /openal/linux/test/testchannel.c
	* /openal/linux/test/testgain.c
	* /openal/linux/test/testgainlinear.c
	* /openal/linux/test/testloop.c
	* /openal/linux/test/testmp3.c
	* /openal/linux/test/testmp32.c
	* /openal/linux/test/testmulti.c
	* /openal/linux/test/testmultialut.c
	* /openal/linux/test/testmulticontext.c
	* /openal/linux/test/testmultimp3.c
	* /openal/linux/test/testmultinothread.c
	* /openal/linux/test/testpitch.c
	* /openal/linux/test/testpitch2.c
	* /openal/linux/test/testpitch3.c
	* /openal/linux/test/testpitch4.c
	* /openal/linux/test/testpitchnothread.c
	* /openal/linux/test/testpitchnothread2.c
	* /openal/linux/test/testqueue.c
	* /openal/linux/test/testqueue2.c
	* /openal/linux/test/testqueue3.c
	* /openal/linux/test/teststartstop.c
	* /openal/linux/test/teststrings.c
	* /openal/linux/test/testtime.c
	* /openal/linux/test/testvorbis.c

	removed fft and complex type stuff.
	changed AL_GAIN_LINEAR to AL_GAIN_LINEAR_LOKI and moved the define
	to the extension header.



2001-01-16  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* /openal/linux/src/alc/alc_context.c
	Added alcIsExtensionPresent, alcGetProcessAddress, alcGetEnumValue
	( simply wrappers for now )

2001-01-03  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_filter.c
	Refined linear interpolation a little.

	* /openal/linux/src/al_types.h
	Nothing much.

	* /openal/linux/test/testpitch4.c
	Increased buffersize

	* /openal/linux/test/testpitchnothread.c
	Nothing much

2000-12-20  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_able.c
	* /openal/linux/src/al_distance.c
	* /openal/linux/src/al_doppler.c
	* /openal/linux/src/al_ext_iasig.c
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_mixfunc.c
	* /openal/linux/src/al_mixmanager.c
	* /openal/linux/src/al_queue.c
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_source.h
	* /openal/linux/src/al_spool.c
	* /openal/linux/src/al_state.c
	* /openal/linux/src/al_types.h
	* /openal/linux/src/mixaudio16.c
	* /openal/linux/src/alut/alut_main.c
	* /openal/linux/src/arch/interface/interface_sound.c
	* /openal/linux/src/arch/linux/lin_dsp.c
	* /openal/linux/src/arch/null/null.c
	* /openal/linux/src/arch/waveout/waveout.c
	* /openal/linux/test/testmulti.c

	Sigh.  MMX doesn't work for now.  It may sometime later.  The
	problem is accumulated errors.  Other small stuff, mostly
	related to locking.


2000-12-15  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_source.c
	Fixed faulty _alGetSourceParam call when using boolean
	params

	* /openal/linux/test/testloop.c
	Test for above

2000-12-07  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_rctree.c
	* /openal/linux/src/al_rctree.h
	* /openal/linux/src/al_rcvar.c
	* /openal/linux/src/al_rcvar.h
	Nothing much

	* /openal/linux/src/alc/alc_context.c
	fixed external sampling rate stuff

	* /openal/linux/src/alc/Attic/alc_device.c
	added sampling rate token

	* /openal/linux/test/testpitchnothread.c
	Nothing much

	* /openal/linux/test/testtime.c
	Testing frequency/sampling rate stuff

	* /openal/linux/src/al_mixer.c


2000-12-06  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_filter.c
	Added pitch interpolation

	* /openal/linux/src/arch/alsa/alsa.c
	* /openal/linux/src/arch/alsa/alsa.h
	Fixed so that it actually compiles

	* /openal/linux/test/testalinitexit.c
	* /openal/linux/test/testalut.c
	* /openal/linux/test/testbufferuniq.c
	* /openal/linux/test/testcallback.c
	* /openal/linux/test/testcapture.c
	* /openal/linux/test/testcapture2.c
	* /openal/linux/test/testchannel.c
	* /openal/linux/test/testchannel2.c
	* /openal/linux/test/testda.c
	* /openal/linux/test/Attic/testdevice.c
	* /openal/linux/test/testdoppler.c
	* /openal/linux/test/testext.c
	* /openal/linux/test/testfft.c
	* /openal/linux/test/testgain.c
	* /openal/linux/test/testgainlinear.c
	* /openal/linux/test/Attic/testgendelbuffer_error.c
	* /openal/linux/test/Attic/testgendelsource_error.c
	* /openal/linux/test/testleak.c
	* /openal/linux/test/testlistener.c
	* /openal/linux/test/testlistener2.c
	* /openal/linux/test/testlistener3.c
	* /openal/linux/test/testlistener4.c
	* /openal/linux/test/testloop.c
	* /openal/linux/test/testmp3.c
	* /openal/linux/test/testmp32.c
	* /openal/linux/test/testmulti.c
	* /openal/linux/test/testmultialut.c
	* /openal/linux/test/testmultichannel.c
	* /openal/linux/test/testmulticontext.c
	* /openal/linux/test/testmulticontext2.c
	* /openal/linux/test/testmultimp3.c
	* /openal/linux/test/testmultinothread.c
	* /openal/linux/test/testnothread.c
	* /openal/linux/test/testorient.c
	* /openal/linux/test/testpause.c
	* /openal/linux/test/testpitch.c
	* /openal/linux/test/testpitch2.c
	* /openal/linux/test/testpitch3.c
	* /openal/linux/test/testpitch4.c
	* /openal/linux/test/testpitchnothread.c
	* /openal/linux/test/testpitchnothread2.c
	* /openal/linux/test/testqueue.c
	* /openal/linux/test/testqueue2.c
	* /openal/linux/test/testqueue3.c
	* /openal/linux/test/testrelative.c
	* /openal/linux/test/testreverb.c
	* /openal/linux/test/testsourcestop.c
	* /openal/linux/test/testsourceuniq.c
	* /openal/linux/test/teststartstop.c
	* /openal/linux/test/teststream.c
	* /openal/linux/test/testtime.c
	* /openal/linux/test/testvorbis.c
	Ugh


2000-11-22  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* /openal/linux/src/al_filter.c
	Fixed boolp in _alApplyFilter, relative sounds should be translated
	properly.


2000-11-21  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/alc/alc_context.c
	* /openal/linux/src/alc/alc_context.h
	* /openal/linux/src/arch/linux/lin_dsp.c
	* /openal/linux/src/extensions/al_ext_capture.c
	* /openal/linux/test/testcapture.c
	* /openal/linux/test/teststream.c
	Capture stuff


	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_types.h
	Put AL_STREAMING back in

2000-11-20  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/demos/XLDEMO/linux/Makefile
	* /openal/include/AL/altypes.h
	* /openal/linux/include/AL/alkludgetypes.h
	* /openal/linux/src/al_types.h
	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_source.h
	* /openal/linux/src/al_queue.c
	* /openal/linux/test/testlib.h
	More loop token sadness

	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	Fixed bogus matrix mul code, changed rotate func

	* /openal/linux/src/alc/alc_speaker.c
	Touched up orientation code

	* /openal/linux/test/testlistener2.c
	* /openal/linux/test/testlistener3.c
	* /openal/linux/test/testlistener4.c
	Tested orientation code

2000-11-15  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* /openal/linux/src/al_filter.c
	Applied Jason's patch to fixup alf_tdoppler

2000-11-14  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/src/al_buffer.c
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_types.h
	Lousy callback fix and backed out progressive callback decoding

2000-11-03  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/include/AL/alext.h
	Vorbis stuff

	* /openal/linux/include/AL/alexttypes.h
	Vorbis stuff

	* /openal/linux/src/al_buffer.c
	Decoding callbacks only occur once, vorbis stuff

	* /openal/linux/src/al_main.c
	Not much

	* /openal/linux/src/al_mixer.c
	Fixed 0 alloc, clean up a little

	* /openal/linux/src/al_source.c
	Clean up a little, decoding callbacks only occur once.

	* /openal/linux/src/al_source.h
	clean up

	* /openal/linux/src/al_types.h
	Added param to buffer to indicate decoding position

	* /openal/linux/src/alut/alut_msadpcm.c
	Added mojo to force little endianness

	* /openal/linux/src/extensions/al_ext_vorbis.c
	* /openal/linux/src/extensions/al_ext_vorbis.h
	Fixed my stupid bug

	* /openal/linux/test/Makefile.in
	* /openal/linux/test/testalut.c
	* /openal/linux/test/testmath.c
	* /openal/linux/test/testvorbis.c
	Nothing important


2000-10-30  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
 	* /openal/linux/audioconvert/ac_misc.c
	explicit endian conversion.

	* /openal/linux/src/extensions/al_ext_mp3.c
	Added workaround for smpeg with no audio thread

	* /openal/linux/test/testmp3.c
	Testing working

2000-10-27  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/audioconvert/ac_endian.h
	Fixes for big endian systems

	* /openal/linux/audioconvert/ac_misc.c
	Fixes for big endian systems

	* /openal/linux/audioconvert/audioconvert.h
	Changed audio defines to be endian native

	* /openal/linux/src/al_buffer.c
	More comments

	* /openal/linux/src/arch/irix/iris.c
	Fixes

	* /openal/linux/src/threads/posixthreads.c
	Added extern definition of pthread_atfork for irix folk.

	* /openal/linux/audioconvert/ac_endian.c
	Fixes for IRIX

	* /openal/linux/include/AL/alexttypes.h
	Added WAVE_EXT format tag

	* /openal/linux/src/al_buffer.c
	Added support for AL_FORMAT_WAVE_EXT in alBufferData

	* /openal/linux/src/al_debug.c
	Nothing much

	* /openal/linux/src/al_listen.c
	Slight cleanup

	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	Changed _al_COMPRESSEDFORMAT to !_al_RAWFORMAT

	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_mixmanager.c
	* /openal/linux/src/al_rctree.c
	Cleanup

	* /openal/linux/src/alut/alut_main.c
	Set error if context not creatable

	* /openal/linux/src/arch/irix/iris.c
	Fixes for IRIX

	* /openal/linux/src/extensions/al_ext_vorbis.c
	Nothing much


2000-10-20  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/configure.in
	* /openal/linux/src/al_ext.h
	* /openal/linux/src/arch/interface/interface_sound.c
	* /openal/linux/src/arch/linux/lin_dsp.c
	* /openal/linux/src/mutex/posixmutex.c
	* /openal/linux/test/testext.c
	* /openal/linux/test/testlib.c
	* /openal/linux/test/testlistener.c
	* /openal/linux/test/testlistener2.c
	* /openal/linux/test/testlistener3.c
	* /openal/linux/test/testlistener4.c
	* /openal/linux/test/testmulti.c
	Changes to get openal to compile using rh7 gcc

	* /openal/linux/src/al_main.c
	Advertise capture, ADPCM and BYTE_LOKI extensions

2000-10-19  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* /openal/linux/include/AL/alexttypes.h
	Added ima format tokens.

	* /openal/linux/src/al_buffer.c
	Added support for ima format tokens
	Fixed bug for AL_BITS in alGetBufferi

	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_main.h
	Added ima extension support in format converters


	* openal/linux/acconfig.h
	added WORDS_BIGENDIAN define

	* openal/linux/configure.in
	Added bigendian test

	* openal/linux/audioconvert/ac_endian.h
	Changed macros to use WORDS_BIGENDIAN define

	* openal/linux/doc/openal.texi
	Added section of special loki tokens

	* openal/linux/src/al_buffer.c
	* openal/linux/src/al_buffer.h
	* openal/linux/src/al_ext.c
	* openal/linux/src/al_ext.h
	* openal/linux/src/al_filter.c
	* openal/linux/src/al_main.c
	* openal/linux/src/al_main.h
	* openal/linux/src/al_mixer.c
	* openal/linux/src/al_mixer.h
	* openal/linux/src/al_mixfunc.c
	* openal/linux/src/al_mixfunc.h
	* openal/linux/src/al_mixmanager.c
	* openal/linux/src/al_mixmanager.h
	* openal/linux/src/al_source.c
	* openal/linux/src/al_source.h
	* openal/linux/src/al_spool.c
	Added error reporting for init functions
	Additional sanity checks on allocation
	Multiple context support
	Soundpos for callbacks

	* openal/linux/src/alc/alc_context.c
	* openal/linux/src/alc/alc_context.h
	Multiple context support
	Cleaned up context generation/destruction some

	* openal/linux/src/arch/linux/lin_dsp.c
	* openal/linux/src/extensions/al_ext_vorbis.c
	Big endian sanity check

	* openal/linux/test/Makefile.in
	Added new test cases

	* openal/linux/test/testalut.c
	* openal/linux/test/testloop.c
	* openal/linux/test/testpause3.c
	Nothing big


2000-10-16  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* openal/linux/src/arch/irix/iris.c
	Added undefs for dmedia stuff

	* openal/linux/src/al_buffer.c
	Redid buffer ref counting stuff stuff

	* openal/linux/src/al_ext.h
	Redid macro stuff

	* openal/linux/src/al_mixer.c
	Redid streaming buffer stuff

	* openal/linux/src/al_types.h
	Cleaned up enum flags

	* openal/linux/test/Makefile.in
	* openal/linux/test/testcallback.c
	* openal/linux/test/teststream.c
	foo

2000-10-14  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>
	* openal/linux/src/al_filter.c
	Removed unneeded variable buflen from _alApplyFilters

	* openal/linux/src/al_mixer.c
	Changed src->srcParams.soundpos -= samp->size to modulo
	operation, to prevent problems with really really short sounds

	* openal/linux/src/al_source.c
	Spurious changes

	* openal/linux/src/arch/sdl/sdl.c
	Made al_siteconfig.h first include

	* openal/linux/test/testalut.c
	* openal/linux/test/testmp3.c
	Nothing big


2000-10-13  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames.com>

	* linux/audioconvert/ac_channels.c
	Make stereo->mono little less obnoxious

	* linux/src/al_buffer.c
	* linux/src/al_filter.c
	* linux/src/al_main.c
	* linux/src/al_main.h
	Reduce realloc calls (hopefully)

	* linux/src/al_types.h
	Added weird struct

	* linux/test/testmultichannel2.c
	Removed looping flag


2000-10-10  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* openal/linux/src/al_source.c
	Nothing big

	* openal/linux/src/arch/irix/iris.c
	Workaround

	* openal/linux/src/extensions/al_ext_loki.c
	Tweaks to alBufferWriteAppendData to be more conservative
	about memory.

	* openal/linux/configure.in
	tweaked vorbis stuff

	* openal/linux/src/al_buffer.c
	Nothing big.

	* openal/linux/src/al_mixer.c
	playcount fix for callbacks


	* openal/linux/src/extensions/al_ext_mp3.c
	* openal/linux/src/extensions/al_ext_vorbis.c
	Looping stuff.

	* openal/linux/test/.cvsignore
	* openal/linux/test/Makefile.in
	Added new test case.

	* openal/linux/test/testmp3.c
	* openal/linux/test/testvorbis.c
	Tweakage to expose old bugs

2000-10-06  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* openal/linux/acconfig.h
	* openal/linux/configure.in
	* openal/linux/src/Makefile.in
	* openal/linux/src/al_config.c
	* openal/linux/src/al_config.h
	* openal/linux/src/al_mixer.c
	* openal/linux/src/al_rcvar.c
	* openal/linux/src/al_rcvar.h
	* openal/linux/src/al_source.c
	* openal/linux/src/arch/interface/interface_sound.c
	* openal/linux/src/arch/interface/platform.h
	* openal/linux/src/arch/linux/lin_dsp.c
	* openal/linux/src/arch/linux/lin_dsp.h
	* openal/linux/test/testconfig.c
	Added emu10k1 stuff, updated config stuff, etc

	* openal/linux/configure.in
	Smartified vorbis detection hopefully

	* openal/linux/src/al_listen.c
	Sanity check

	* openal/linux/src/al_mixer.c
	Don't remember

	* openal/linux/test/testsingle.c
	* openal/linux/test/testtime.c
	Nothing big


2000-10-05  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	*  openal/linux/audioconvert/ac_adpcm.c
	*  openal/linux/include/AL/alexttypes.h
	*  openal/linux/src/al_able.c
	*  openal/linux/src/al_filter.c
	*  openal/linux/src/al_mixer.c
	*  openal/linux/src/al_types.h
	*  openal/linux/src/alc/alc_context.c
	*  openal/linux/src/alc/alc_context.h
	*  openal/linux/src/arch/alsa/alsa.h
	*  openal/linux/src/arch/arts/arts.c
	*  openal/linux/src/arch/arts/arts.h
	*  openal/linux/src/arch/bsd/bsd_dsp.h
	*  openal/linux/src/arch/esd/esd.c
	*  openal/linux/src/arch/esd/esd.h
	*  openal/linux/src/arch/interface/interface_sound.c
	*  openal/linux/src/arch/interface/interface_sound.h
	*  openal/linux/src/arch/interface/platform.h
	*  openal/linux/src/arch/irix/iris.h
	*  openal/linux/src/arch/linux/lin_dsp.c
	*  openal/linux/src/arch/linux/lin_dsp.h
	*  openal/linux/src/arch/null/null.c
	*  openal/linux/src/arch/null/null.h
	*  openal/linux/src/arch/sdl/sdl.c
	*  openal/linux/src/arch/sdl/sdl.h
	*  openal/linux/src/arch/solaris/solaris_native.h
	*  openal/linux/src/arch/waveout/waveout.c
	*  openal/linux/src/arch/waveout/waveout.h
	*  openal/linux/src/arch/windows/windows_native.h
	*  openal/linux/src/extensions/al_ext_capture.c
	*  openal/linux/src/extensions/al_ext_loki.c
	*  openal/linux/src/extensions/al_ext_mp3.c
	*  openal/linux/test/.cvsignore
	*  openal/linux/test/Makefile.in
	ugh

	More capture stuff


2000-10-04  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* openal/linux/PLATFORM
	Update PLATFORM to reflect new stuff

	* openal/linux/src/al_mixer.c
	Removed external_channels

	* openal/linux/src/al_types.h
	Changed definition of context

	* openal/linux/src/alc/alc_context.h
	* openal/linux/src/alc/alc_context.c
	* openal/linux/src/alc/alc_speaker.c
	Updated context to remove extraneous channel parameter, instead
	deriving channels from the format.
	Updates for capture stuff.

	* openal/linux/src/arch/arts/arts.c
	* openal/linux/src/arch/arts/arts.h
	* openal/linux/src/arch/bsd/bsd_dsp.c
	* openal/linux/src/arch/bsd/bsd_dsp.h
	* openal/linux/src/arch/esd/esd.c
	* openal/linux/src/arch/esd/esd.h
	* openal/linux/src/arch/interface/interface_sound.c
	* openal/linux/src/arch/interface/interface_sound.h
	* openal/linux/src/arch/interface/platform.h
	* openal/linux/src/arch/irix/iris.c
	* openal/linux/src/arch/irix/iris.h
	* openal/linux/src/arch/linux/lin_dsp.c
	* openal/linux/src/arch/linux/lin_dsp.h
	* openal/linux/src/arch/null/null.c
	* openal/linux/src/arch/null/null.h
	* openal/linux/src/arch/sdl/sdl.c
	* openal/linux/src/arch/sdl/sdl.h
	* openal/linux/src/arch/solaris/solaris_native.c
	* openal/linux/src/arch/solaris/solaris_native.h
	* openal/linux/src/arch/waveout/waveout.c
	* openal/linux/src/arch/waveout/waveout.h
	* openal/linux/src/arch/windows/windows_native.c
	* openal/linux/src/arch/windows/windows_native.h
	Updated backends to use set_read_foo and set_write_foo instead of
	set_foo.
	Updates for capture stuff.

	* openal/linux/test/.cvsignore
	Added testhash and teststream3


	* openal/linux/Makefile.in
	Don't remember

	* openal/linux/acconfig.h
	Added CAPTURE_SUPPORT define

	* openal/linux/configure.in
	Added --enable-capture option to enable audio capture

	* openal/linux/audioconvert/Makefile.in
	Don't remember

	* openal/linux/audioconvert/ac_misc.c
	Scaling volume so stereo->mono conversions suffer from
	less overflow.

	* openal/linux/include/AL/alext.h
	Added PFN typedefs

	* openal/linux/jlib/globals.c
	* openal/linux/jlib/hash.c
	* openal/linux/jlib/libjlib.h
	Updated hash for fewer collisions when keys are memory
	addresses, bug fixes.

	* openal/linux/src/Makefile.in
	Don't remember

	* openal/linux/src/al_buffer.c
	* openal/linux/src/al_source.c
	* openal/linux/src/al_source.h
	Moved Channelify/Monoify functions to public space.
	Changed audio conversion channlification to move burden of
	monoification to load time as opposed to run time.

	* openal/linux/src/al_fft.c
	FFT tweaks

	* openal/linux/src/al_filter.c
	Changed audio conversion channlification to move burden of
	monoification to load time as opposed to run time.

	* openal/linux/src/al_main.c
	* openal/linux/src/al_main.h
	Little work on helper functions.

	* openal/linux/src/al_mixer.c
	Changed audio conversion channlification to move burden of
	monoification to load time as opposed to run time.

	* openal/linux/src/al_siteconfig.h
	Changed defines/includes to aid dmalloc/jlib

	* openal/linux/src/al_types.h
	Changed buffer definition

	* openal/linux/src/mixaudio16.c
	Playing around.

	* openal/linux/src/alc/alc_context.c
	* openal/linux/src/alut/alut_imaadpcm.c
	* openal/linux/src/alut/alut_msadpcm.c

	* openal/linux/src/arch/interface/interface_sound.c
	* openal/linux/src/arch/linux/lin_dsp.c
	Changed capture stuff a little

	* openal/linux/src/extensions/al_ext_capture.c
	* openal/linux/src/extensions/al_ext_capture.h
	Updated extensions for new buffer structure.
	Updates for capture stuff.

	* openal/linux/src/extensions/al_ext_loki.c
	* openal/linux/src/extensions/al_ext_loki.h
	Updated extensions for new buffer structure.

	* openal/linux/test/Makefile.in
	Added testhash

	* openal/linux/test/aluttime.c
	* openal/linux/test/test.c
	* openal/linux/test/testalc.c
	* openal/linux/test/testalinitexit.c
	* openal/linux/test/testalut.c
	* openal/linux/test/testbuffergendestroy.c
	* openal/linux/test/testbufferuniq.c
	* openal/linux/test/testcallback.c
	* openal/linux/test/testcapture.c
	* openal/linux/test/testchannel.c
	* openal/linux/test/testchannel2.c
	* openal/linux/test/testconfig.c
	* openal/linux/test/testda.c
	* openal/linux/test/testdebug.c
	* openal/linux/test/testdelbuffer.c
	* openal/linux/test/testdelbuffer_error.c
	* openal/linux/test/testdelsource_error.c
	* openal/linux/test/testdoppler.c
	* openal/linux/test/testdoppler2.c
	* openal/linux/test/testext.c
	* openal/linux/test/testfft.c
	* openal/linux/test/testfloatmul.c
	* openal/linux/test/testgain.c
	* openal/linux/test/testgainlinear.c
	* openal/linux/test/testgenbuffer_error.c
	* openal/linux/test/testgensource_error.c
	* openal/linux/test/testlib.c
	* openal/linux/test/testlib.h
	* openal/linux/test/testlistener.c
	* openal/linux/test/testlistener2.c
	* openal/linux/test/testlistener3.c
	* openal/linux/test/testlistener4.c
	* openal/linux/test/testloop.c
	* openal/linux/test/testmath.c
	* openal/linux/test/testmisc.c
	* openal/linux/test/testmp3.c
	* openal/linux/test/testmulti.c
	* openal/linux/test/testmultialut.c
	* openal/linux/test/testmultichannel.c
	* openal/linux/test/testmultichannel2.c
	* openal/linux/test/testmultimp3.c
	* openal/linux/test/testmultinothread.c
	* openal/linux/test/testnothread.c
	* openal/linux/test/testorient.c
	* openal/linux/test/testpause.c
	* openal/linux/test/testpause2.c
	* openal/linux/test/testpause3.c
	* openal/linux/test/testpause4.c
	* openal/linux/test/testpause5.c
	* openal/linux/test/testpitch.c
	* openal/linux/test/testpitch2.c
	* openal/linux/test/testpitch3.c
	* openal/linux/test/testpitch4.c
	* openal/linux/test/testpitchhack.c
	* openal/linux/test/testpitchnothread.c
	* openal/linux/test/testpitchnothread2.c
	* openal/linux/test/testplaycount.c
	* openal/linux/test/testqueue.c
	* openal/linux/test/testqueue2.c
	* openal/linux/test/testqueue3.c
	* openal/linux/test/testrelative.c
	* openal/linux/test/testreverb.c
	* openal/linux/test/testsingle.c
	* openal/linux/test/testsource.c
	* openal/linux/test/testsourcegendestroy.c
	* openal/linux/test/testsourcestop.c
	* openal/linux/test/testsourceuniq.c
	* openal/linux/test/teststream.c
	* openal/linux/test/teststream2.c
	* openal/linux/test/teststrings.c
	* openal/linux/test/testsync.c
	* openal/linux/test/testtime.c
	* openal/linux/test/testtypes.c
	* openal/linux/test/testvorbis.c

	Made al_siteconfig.h first include


2000-09-26  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* openal/linux/audioconvert/ac_endian.c
	* openal/linux/audioconvert/ac_misc.c
	* openal/linux/include/AL/alkludge.h
	* openal/linux/include/AL/alkludgetypes.h
	* openal/linux/jlib/globals.c
	* openal/linux/jlib/hash.c
	* openal/linux/src/Makefile.in
	* openal/linux/src/al_buffer.c
	* openal/linux/src/al_config.c
	* openal/linux/src/al_debug.h
	* openal/linux/src/al_ext.c
	* openal/linux/src/al_filter.c
	* openal/linux/src/al_listen.c
	* openal/linux/src/al_main.c
	* openal/linux/src/al_main.h
	* openal/linux/src/al_mixer.c
	* openal/linux/src/al_mixer.h
	* openal/linux/src/al_mixmanager.c
	* openal/linux/src/al_queue.c
	* openal/linux/src/al_queue.h
	* openal/linux/src/al_rcvar.c
	* openal/linux/src/al_source.c
	* openal/linux/src/al_types.h
	* openal/linux/src/alc/alc_context.c
	* openal/linux/src/alut/alut_imaadpcm.c
	* openal/linux/src/alut/alut_msadpcm.c
	* openal/linux/src/alut/alut_rawadpcm.c
	* openal/linux/src/alut/alut_wav.c
	* openal/linux/src/arch/bsd/bsd_dsp.c
	* openal/linux/src/arch/bsd/bsd_dsp.h
	* openal/linux/src/arch/esd/esd.c
	* openal/linux/src/arch/interface/interface_sound.c
	* openal/linux/src/arch/interface/interface_sound.h
	* openal/linux/src/arch/irix/iris.c
	* openal/linux/src/arch/irix/iris.h
	* openal/linux/src/arch/linux/lin_dsp.c
	* openal/linux/src/arch/linux/lin_dsp.h
	* openal/linux/src/arch/null/null.c
	* openal/linux/src/arch/solaris/solaris_native.c
	* openal/linux/src/arch/solaris/solaris_native.h
	* openal/linux/src/arch/waveout/waveout.c
	* openal/linux/src/arch/windows/windows_native.c
	* openal/linux/src/arch/windows/windows_native.h
	* openal/linux/src/extensions/al_ext_loki.c
	* openal/linux/src/extensions/al_ext_loki.h
	* openal/linux/src/extensions/al_ext_mp3.c
	* openal/linux/src/extensions/al_ext_mp3.h
	* openal/linux/src/extensions/al_ext_vorbis.h
	* openal/linux/test/.cvsignore
	* openal/linux/test/Makefile.in
	* openal/linux/test/testcallback.c
	* openal/linux/test/testlib.c
	* openal/linux/test/testlib.h
	* openal/linux/test/teststream.c
	* openal/linux/test/teststream2.c

	made AL_siteconfig.h first include in any file including string.h
	(again!)

	added capture extention and other stuff.

2000-09-19  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* openal/linux/src/al_debug.c
	Fixed incorrect order of inclusion of al_siteconfig.h

	* openal/linux/src/al_filter.c
	Added listener gain filter to apply listener gain to source
	*after* min/max gain filter applied.

	* openal/linux/src/al_filter.h
	Added prototype for listener gain filter.

	* openal/linux/src/al_mixer.c
	Added and removed tlAtForkThread code
	Debugging mania

	* openal/linux/src/al_source.c
	Fixed stupid callback/looping intersection bug.
	Added sanity check so that playing sources can't have their buffers
	changed out from under them.

	* openal/linux/src/alut/alut_wav.c
	Added/removed fprintfs

	* openal/linux/src/threads/posixthreads.c
	Added Posix_AtForkThread code

	* openal/linux/src/threads/posixthreads.h
	Added Posix_AtForkThread prototype

	* openal/linux/src/threads/threadlib.h
	Added tlAtForkThread macro

	* openal/linux/src/al_buffer.c
	Sanity checked to make sure buffer deletions with no current context
	don't crash.

	* openal/linux/src/al_error.c
	Sanity checked to make sure error reporting with no current context
	don't crash.

	* openal/linux/src/alc/alc_context.c
	Added sanity check so to context lock/unlock calls.

2000-09-14  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* /openal/linux/CREDITS
	Added John Stone to credits file for solaris backend

	* /openal/linux/acconfig.h
	* /openal/linux/configure.in
	Nothing much.

	* /openal/linux/audioconvert/ac_adpcm.c
	* /openal/linux/audioconvert/ac_bits.c
	* /openal/linux/audioconvert/ac_channels.c
	* /openal/linux/audioconvert/ac_endian.c
	* /openal/linux/audioconvert/ac_format.c
	* /openal/linux/audioconvert/ac_freq.c
	* /openal/linux/audioconvert/ac_helper.c
	* /openal/linux/audioconvert/ac_misc.c
	* /openal/linux/audioconvert/test.c
	Altered audioconvert source files to no longer depend on
	-include '../config.h', to aid compilation on non-gcc compilers.

	* /openal/linux/include/AL/alkludge.h
	Added backward compatibility defines for AL_SOURCE_ATTENUATION_MIN
	and AL_SOURCE_ATTENUATION_MAX

	* /openal/linux/jlib/Makefile.in
	* /openal/linux/jlib/globals.c
	* /openal/linux/jlib/hash.c
	Altered jlib source files to no longer depend on
	-include '../config.h', to aid compilation on non-gcc compilers.

	* /openal/linux/src/Makefile.in
	Added rules for new object files

	* /openal/linux/src/arch/solaris/solaris_native.c
	New solaris backend

	* /openal/linux/src/al_able.c
	* /openal/linux/src/al_buffer.c
	* /openal/linux/src/al_buffer.h
	* /openal/linux/src/al_complex.c
	* /openal/linux/src/al_config.c
	* /openal/linux/src/al_debug.c
	* /openal/linux/src/al_debug.h
	* /openal/linux/src/al_error.c
	* /openal/linux/src/al_ext.c
	* /openal/linux/src/al_ext_iasig.c
	* /openal/linux/src/al_fft.c
	* /openal/linux/src/al_filter.c
	* /openal/linux/src/al_filter.h
	* /openal/linux/src/al_listen.c
	* /openal/linux/src/al_main.c
	* /openal/linux/src/al_mixer.c
	* /openal/linux/src/al_mixfunc.c
	* /openal/linux/src/al_mixmanager.c
	* /openal/linux/src/al_rctree.c
	* /openal/linux/src/al_rcvar.c
	* /openal/linux/src/al_source.c
	* /openal/linux/src/al_source.h
	* /openal/linux/src/al_state.c
	* /openal/linux/src/al_types.h
	* /openal/linux/src/mixaudio16.c
	* /openal/linux/src/alc/alc_context.c
	* /openal/linux/src/alc/alc_context.h
	* /openal/linux/src/alc/alc_error.c
	* /openal/linux/src/alc/alc_speaker.c
	* /openal/linux/src/alut/alut_imaadpcm.c
	* /openal/linux/src/alut/alut_main.c
	* /openal/linux/src/alut/alut_msadpcm.c
	* /openal/linux/src/alut/alut_rawadpcm.c
	* /openal/linux/src/alut/alut_wav.c
	* /openal/linux/src/arch/alsa/alsa.c
	* /openal/linux/src/arch/arts/arts.c
	* /openal/linux/src/arch/bsd/bsd_dsp.c
	* /openal/linux/src/arch/esd/esd.c
	* /openal/linux/src/arch/i386/floatmul.c
	* /openal/linux/src/arch/interface/interface_sound.c
	* /openal/linux/src/arch/irix/iris.c
	* /openal/linux/src/arch/linux/lin_dsp.c
	* /openal/linux/src/arch/null/null.c
	* /openal/linux/src/arch/portable/floatmul.c
	* /openal/linux/src/arch/sdl/sdl.c
	* /openal/linux/src/arch/waveout/waveout.c
	* /openal/linux/src/arch/windows/windows_native.c
	* /openal/linux/src/extensions/al_ext_loki.c
	* /openal/linux/src/extensions/al_ext_mp3.c
	* /openal/linux/src/extensions/al_ext_vorbis.c
	* /openal/linux/src/mutex/posixmutex.c
	* /openal/linux/src/mutex/windowsmutex.c
	* /openal/linux/src/threads/windowsthreads.c
	Altered to no longer depend on-include '../config.h'.
	Changed related to spec conformance.
	Buffer queueing addition.
	Multichannel stuff.
	Removed old refcount stuff, using buffer queueing stuff
	instead.

	* /openal/linux/src/threads/posixthreads.c
	Altered to no longer depend on-include '../config.h'.
	Added pthread_exit in ExitThread.

	* /openal/linux/test/.cvsignore
	Added new test entries.

	* /openal/linux/test/Makefile.in
	Remove -include 'testlib.h'

	* /openal/linux/test/aluttime.c
	* /openal/linux/test/test.c
	* /openal/linux/test/testalc.c
	* /openal/linux/test/testalinitexit.c
	* /openal/linux/test/testalut.c
	* /openal/linux/test/testbuffergendestroy.c
	* /openal/linux/test/testbufferuniq.c
	* /openal/linux/test/testcallback.c
	* /openal/linux/test/testchannel.c
	* /openal/linux/test/testchannel2.c
	* /openal/linux/test/testconfig.c
	* /openal/linux/test/testda.c
	* /openal/linux/test/testdebug.c
	* /openal/linux/test/testdelbuffer.c
	* /openal/linux/test/testdelbuffer_error.c
	* /openal/linux/test/testdelsource_error.c
	* /openal/linux/test/testdoppler.c
	* /openal/linux/test/testdoppler2.c
	* /openal/linux/test/testext.c
	* /openal/linux/test/testfft.c
	* /openal/linux/test/testfloatmul.c
	* /openal/linux/test/testgain.c
	* /openal/linux/test/testgainlinear.c
	* /openal/linux/test/testgenbuffer_error.c
	* /openal/linux/test/testgensource_error.c
	* /openal/linux/test/testlib.c
	* /openal/linux/test/testlib.h
	* /openal/linux/test/testlistener.c
	* /openal/linux/test/testlistener2.c
	* /openal/linux/test/testlistener3.c
	* /openal/linux/test/testlistener4.c
	* /openal/linux/test/testloop.c
	* /openal/linux/test/testmath.c
	* /openal/linux/test/testmisc.c
	* /openal/linux/test/testmp3.c
	* /openal/linux/test/testmulti.c
	* /openal/linux/test/testmultialut.c
	* /openal/linux/test/testmultichannel.c
	* /openal/linux/test/testmultichannel2.c
	* /openal/linux/test/testmultimp3.c
	* /openal/linux/test/testmultinothread.c
	* /openal/linux/test/testnothread.c
	* /openal/linux/test/testorient.c
	* /openal/linux/test/testpause.c
	* /openal/linux/test/testpause2.c
	* /openal/linux/test/testpause3.c
	* /openal/linux/test/testpause4.c
	* /openal/linux/test/testpause5.c
	* /openal/linux/test/testpitch.c
	* /openal/linux/test/testpitch2.c
	* /openal/linux/test/testpitch3.c
	* /openal/linux/test/testpitch4.c
	* /openal/linux/test/testpitchhack.c
	* /openal/linux/test/testpitchnothread.c
	* /openal/linux/test/testpitchnothread2.c
	* /openal/linux/test/testrelative.c
	* /openal/linux/test/testreverb.c
	* /openal/linux/test/testsingle.c
	* /openal/linux/test/testsource.c
	* /openal/linux/test/testsourcegendestroy.c
	* /openal/linux/test/testsourcestop.c
	* /openal/linux/test/testsourceuniq.c
	* /openal/linux/test/teststream.c
	* /openal/linux/test/teststream2.c
	* /openal/linux/test/testsync.c
	* /openal/linux/test/testtime.c
	* /openal/linux/test/testtypes.c
	* /openal/linux/test/testvorbis.c
	Altered test source files to no longer depend on
	-include 'testlib.h', to aid compilation on non-gcc compilers.

	* openal/linux/src/al_able.h
	* openal/linux/src/al_distance.c
	* openal/linux/src/al_doppler.c
	* openal/linux/src/al_doppler.h
	* openal/linux/src/al_propagation.c
	* openal/linux/src/al_queue.c
	* openal/linux/src/al_queue.h
	* openal/linux/test/testqueue.c
	* openal/linux/test/testqueue2.c
	* openal/linux/test/testqueue3.c
	Initial checkin.

2000-09-11  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_buffer.h
	Added comment.

	* src/al_mixer.c
	Added instantiation of mixer_iterate

	* src/al_mixer.h
	Added comment.
	Removed instantiation of mixer_iterate.

	* src/al_mixmanager.h
	Added comment.

	* test/testpitch3
	Initial check in.

	* test/testpitch4
	Initial check in.

	* test/Makefile.in
	Added testpitch3 and testpitch4 rules.

	* test/.cvsignore
	Added testpitch3 and testpitch4 entries

	* acconfig.h
	Removed ALCONFIG.  Using the configure file is no longer optional.

	* src/al_buffer.c
	Implemented full or no deallocation for buffers.
	Fixed potential memory leak in failed buffer generation.
	Fixed memory leak associated with bid vs index confusion

	* src/al_source.c
	Implemented full or no deallocation for sources.
	Fixed potential memory leak in failed source generation.
	Fixed potential deadlock when alSourcePlayv called with n == 0.
	Fixed memory leak associated with sid vs index confusion.
	Fixed misc memory leaks.

	* src/al_filter.c
	Altered tpitch init stuff to use more steps, and to also allocate
	offset table in one big chunk to reduce memory fragmentation.

	* test/testbuffergendestroy.c
	More verbose messages.

	* src/al_main.c
	Remove ifdef ALCONFIG stuff

	* src/alut/alut_msadpcm.c
	Tracked memory leak.

2000-09-03  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_buffer.c (_alDestroyAllBuffers)
	Fixed memory leak.

2000-08-31  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* src/al_ext.c
	Fix for segfault caused by plugins missing alExtFini

	* src/al_mixmanager.c
	Formatting change.

	* doc/openal.texi
	Added load-extension to primitives documentation, fixed
	various spelling errors.

	* src/arch/sdl/sdl.c (set_sdL)
	format incorrectly set to have 2 channels

	* src/threads/windowsthreads.h
	Stupid type fixed.

	* test/sample.wav
	I'm going to have to read up to make sure the data files
	are marked as binary.

	* test/testlib.c
	Stupid Sleep(param) fixed.

2000-08-29  Joseph I. Valenzuela  <jvalenzu@forbidden.loungenet.org>
	* Changelog
	Noted changes

	* src/al_config.c
	Updated is_string to recognize whitespace in strings as
	okay.

	* src/al_ext.c
	Small formatting change

	* src/al_mixer.c
	Nothing big

	* src/al_rcvar.h
	Small formatting change

	* src/arch/alsa/alsa.c
	Got it working.  Again.  Please don't change asoundlib ever.

	* src/arch/alsa/alsa.h
	Got it working.  Again.  Please don't change asoundlib ever.

	* Makefile.in
	Added rule to rerun autoconf if configure.in is newer than
	configure.  Probably should do a sanity check for autoconf
	in that case.

	* src/al_able.c
	Removed unneeded include <math.h>

	* src/al_filter.c
	Reordered includes to avoid M_PI collision on freebsd

	* src/al_source.h
	Weird error on freebsd averted by changed paramater type
	name?  Weird.

	* src/al_state.c
	Reordered includes to avoid M_PI collision on freebsd

	* test/testcallback.c
	Reordered includes to avoid M_PI collision on freebsd

	* test/testfft.c
	Reordered includes to avoid M_PI collision on freebsd

	* test/testmp3.c
	Removed unneeded include <error.h>

	* test/testmultimp3.c
	Removed unneeded include <error.h>

	* test/testpause3.c
	Removed unneeded include <error.h>

	* test/testpause4.c
	Removed unneeded include <error.h>

	* test/testvorbis.c
	Removed unneeded include <error.h>

2000-08-25  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_buffer.h
	* src/al_buffer.c
	Altered _alBufferCanonizeData to no longer require _alLockBuffer.
	Updated alBufferAppendData to take advantage of this (less time
	spent locked) but haven't altered alBufferData or alBufferDataSync
	yet.

	* src/extensions/al_ext_loki.c
	Altered call to _alBufferCanonizeData.

	* AL/altypes.h
	Added AL_GAIN_LINEAR for linear gain scaling.

	* src/al_ext.c
	Added ename for AL_GAIN_LINEAR

	* src/al_filter.c
	Updating code to use AL_GAIN_LINEAR

	* src/al_listen.c
	Updated code to correctly interpret AL_GAIN as logarithmic and
	use AL_GAIN_LINEAR to scale sounds linearly.

	* src/al_main.c
	Added _alLinearToDb and _alDbToLinear

	* src/al_main.h
	Prototypes for _alLinearToDb and _alDbToLinear

	* src/al_source.c
	Updated code to correctly interpret AL_GAIN as logarithmic and
	use AL_GAIN_LINEAR to scale sounds linearly.

	* test/.cvsignore
	Added entry for testgainlinear and testmultimp3.c

	* test/testgainlinear.c
	New test program for testing gain and linear gain relationships

	* test/testmultimp3.c
	New test program for testing multi instances (one sid per bid, though)
	of mp3 extension sounds

	* test/Makefile.in
	Added entry for testgainlinear

	* test/testchannel.c
	Updated to use AL_GAIN_LINEAR

	* test/testgain.c
	Updated to use AL_GAIN_LINEAR

	* test/testmp3.c
	Don't remember

	* test/testmultinothread.c
	Updated to use AL_GAIN_LINEAR

	* test/testpitch.c
	Updated to use AL_GAIN_LINEAR

	* test/testpitch2.c
	Updated to use AL_GAIN_LINEAR

	* test/testpitchnothread.c
	Updated to use AL_GAIN_LINEAR

	* test/testpitchnothread2.c
	Updated to use AL_GAIN_LINEAR

	* test/testtime.c
	Lowered buffersize to decrease latency

	* test/teststream.c
	Added multichannel call

2000-08-24  Joseph I. Valenzuela  <tsaotsao@TOROFO>

	* src/arch/windows/windows_native.c:
	Updates in the windows backend

	* src/threadlib/threadlib.h
	Added ExitThread call to aid windows

	* src/threadlib/posixthread.h
	Added Posix_ExitThread stub and prototype

	* src/threadlib/windowsthread.c
	* src/threadlib/windowsthread.c
	Added Windows_ExitThread

	* src/al_mixer.c
	Added call to tlExitThread

	* src/include/AL/alkludgetypes.h
	Changed sign of IMA decodestate member

2000-08-22  Joseph I. Valenzuela  <tsaotsao@TOROFO>

	* src/Makefile.in
	remove erroneous extra line

	* src/arch/interface/interface_sound.c
	Added call to release_sdl

	* src/arch/interface/platform.h
	Nothing much

	* src/arch/sdl/sdl.c
	Removed select, used SDL_Delay instead

	* many, many files
	Working on the Windows backend/implementation.  Linux openal now
	compiles and links under mingwin/cygwin on Windows, and even runs,
	but the waveOut audio backend is non functional for now.  Might be
	possible to get this working using the SDL backend, but it looks
	like there are some problems associated with the mutexen as well.

2000-08-21  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* al_mixer.c
	Cleaned up delayed buffer deletions

	* al_buffer.c
	Cleaned up delayed buffer deletions

	* al_types.h
	Added flag, ALB_PENDING_DELETE, to simplify delayed buffer
	deletions.

2000-08-20  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* acconfig.h
	Added define for VORBIS_SUPPORT

	* configure.in
	Added --enable flag for tentative vorbis support

	* src/Makefile.in
	Added compilations rules for vorbis stuff, cleaned up extension
	dependencies some.

	* src/al_main.c
	Added code for vorbis extension

	* src/al_mixer.c
	removed spurious fprintf

	* src/al_source.c
	Fixed multichannel callbacks

	* src/extensions/al_ext_mp3.c
	Don't remember

	* src/extensions/al_ext_vorbis.c
	Initial extension for vorbis support

	* src/extensions/al_ext_vorbis.h
	Initial extension for vorbis support

	* test/.cvsignore
	Added entry for testvorbis

	* test/Makefile.in
	Added rule for testvorbis

	* test/testmp3.c
	Changed in the process of fixing multichannel callbacks

	* test/testvorbis.c
	Test program for vorbis stuff

	* test/boom.mp3
	New sample for testing mp3s

	* test/boom.ogg
	New sample for testing vorbis sounds

	* test/multiboom.wav
	New sample for testing multichannel PCM wavs

	* test/multisample.wav
	New sample for testing multichannel ADPCM wavs

2000-08-18  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_mixer.c
	Fixes for callback stuff

	* src/al_source.c
	Fixes for callback stuff

	* src/extensions/al_ext_mp3.c
	Make extension more sane.

2000-08-18  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_mixer.c
	Fixes for callback stuff

	* src/al_source.c
	Fixes for callback stuff

	* src/extensions/al_ext_mp3.c
	Make extension more sane.

2000-08-09  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* INSTALL
	Small note telling people to run ldconfig because of the
	soname change.

	* src/Makefile.in
	Moved mp3 stuff into the regular library, and added soname to
	the library.

	* src/al_main.c
	Nothing much.

	* src/al_mixer.c
	Multichannel changes.

	* src/al_source.c
	Multichannel fixes for callbacks and looping sounds.

	* src/al_source.h
	Multichannel fixes for callbacks and looping sounds.

	* src/al_types.h
	Not much.

	* src/extensions/al_ext_mp3.c
	Cleaned up interface to fit with new SMPEG_new_data

	* src/extensions/al_ext_mp3.h
	Cleaned up interface to fit with new SMPEG_new_data

	* test/.cvsignore
	Added testmp3 and testmultichannel2 to .cvsignore

	* test/Makefile.in
	Added entry for testmp3 and testmultichannel2

	* test/testpause4.c
	updated mp3 stuff.

	* test/testmultichannel2.c
	updated new test to test looping multichannel sounds.

2000-08-07  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* src/al_main.c:
	updated vector_angle_between to correctly handle sign (so that the
	angle correctly differentiates between left/right).

	added vector_quadrant to report which quadrant a vector falls in.

	* src/al_main.h
	added vector_quadrant prototype

	* src/extensions/al_ext_loki.c
	Don't remember

 	* src/extensions/al_ext_mp3.h
	* src/extensions/al_ext_mp3.c
	Added support for mp3 extension to be compiled in library.  When
	the smpeg changes are commited, this will be folded into the
	regular library for transparant mp3 support.

	* test/test.c
	* test/testalc.c
	* test/testalut.c
	* test/testcallback.c
	* test/testchannel.c
	* test/testchannel2.c
	* test/testda.c
	* test/testdelbuffer.c
	* test/testdoppler.c
	* test/testdoppler2.c
	* test/testgain.c
	* test/testlistener.c
	* test/testlistener2.c
	* test/testlistener3.c
	* test/testlistener4.c
	* test/testloop.c
	* test/testmulti.c
	* test/testmultialut.c
	* test/testmultichannel.c
	* test/testmultinothread.c
	* test/testnothread.c
	* test/testpause.c
	* test/testpause2.c
	* test/testpause3.c
	* test/testpause4.c
	* test/testpitch.c
	* test/testpitch2.c
	* test/testpitchhack.c
	* test/testpitchnothread.c
	* test/testpitchnothread2.c
	* test/testrelative.c
	* test/testreverb.c
	* test/testsingle.c
	* test/testsource.c
	* test/testsourcestop.c
	* test/testsync.c
	* test/testtime.c

	Added checks to make sure if the sound file that the test depends
	on doesn't exist, the program exits sanely.  Also, added support
	for passing the sound file as a command line argument to many test
	programs.

2000-08-06  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* doc/openal.texi
	Added documentation for alBufferDataWithCallback_LOKI

	* include/AL/alkludge.h
	Removed prototype for alBufferDataWithCallback_LOKI

	* src/al_buffer.c
	moved alBufferDataWithCallback_LOKI

	* src/al_buffer.h
	moved alBufferDataWithCallback_LOKI

	* src/extensions/al_ext_loki.h
	added entry for alBufferDataWithCallback_LOKI

	* src/extensions/al_ext_loki.c
	added alBufferDataWithCallback_LOKI

2000-08-04  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>
	* src/al_main.c
	Made a list, checked it twice.

	* src/al_main.h
	Found out who was naughty and who was nice.

	* src/alc/alc_speaker.c
	Added logic to handle an upside down listener.  This isn't well
	tested and will need to be revised soon.

	* test/.cvsignore
	Added entries for multiple test cases.

	* test/Makefile.in
	Added rules for new test cases.

	* test/testlib.c
	Nothing big.

	* test/testlistener3.c
	New test for listener orientation stuff.

	* test/testlistener4.c
	New test for listener orientation stuff.

2000-08-03  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/src/al_buffer.c: Fixed really stupid bug in alBufferData
	where buffer's format was set to the *passed* format instead of
	the *converted* format.  This wasn't an issues before (I'm
	guessing) either because no one used alBufferData without
	alutLoadWAV(which previously converted data into canonical format)
	or because of the new multichannel support.

	* linux/src/al_filter.c: Fixed alt_tpitch so that multichannel
	buffers get handled in a minimally proper way.  This still needs
	to be tested for feature completeeness, but with a pitch of 1.0
	this should work okay.

	* linux/src/alut/alut_wav.c: Changed alutLoadWAV so that it no
	longer automatically converts data to canonical format (to aid use
	of multichannel buffers).

	* linux/src/extensions/al_ext_loki.c: AL_BITS is not a valid
	setter any more for alBufferi_LOKI.

	* linux/test/.cvsignore: Added testmultichannel entry

	* linux/test/Makefile.in: Added testmultichannel rule

	* linux/test/testmultichannel: Program to aid in testing
	multichannel buffers.

2000-08-02  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/src/al_mixer.c: Cleaned up tremendously ugly StreamingList
	code a very little.  Sources with streaming buffers now work as
	advertised.

	* linux/src/al_ext_loki.c Touched up alBufferi a little.

	* linux/test/.cvsignore: Added test programs and rawpcm.pcm

	* audioconvert/ac_helper.c: Reordered conversion filters to 8-bit
	samples get converte properly.

	* linux/src/al_filter.c: Nothing much.

	* linux/src/al_source.c: Fixed stupid bug in SplitSources where
	callbacks were getting hosed prematurely.

	Added SOURCE_STATE to GetSourceParams, to avoid misleading debug
	message.

	* linux/test/testalut.c: Adapted test to test files passed on
	command line.

2000-08-01  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/src/al_types.h: change AL_buffer's freq argument to ALint

	* linux/src/al_buffer.c: changed buffer initializer to set buffer
	freq to canon_speed.

	* lots of files: Changed AL_ACTIVE to AL_PLAYING, per Bernd's
	request

	* linux/src/al_source.c: Reordered includes, added math.h to aid
	compilation on freebsd.

	* linux/test/: Wrapped M_PI in ifdef for test progs, removed
	include <error.h> for testcallback

	* linux/doc/openal.texi: Added documentation for alBufferi_LOKI to
	Loki extension section.  Added FAQ question on
	alAttenuationScale_LOKI.

	* linux/include/AL/alkludgetypes.h: Changed enumeration base a
	little.

	* linux/src/al_buffer.c: Added support for multichannel buffers

	* linux/src/al_buffer.h: Small cleanup

	* linux/src/al_ext.c: Change extension typedef to AL_extension

	* linux/src/al_main.c: Change extension typedef to AL_extension

	* linux/src/al_mixer.c: Added support for multichannel buffers

	* linux/src/al_source.c: Removed unused orientation paramater,
	added support for multichannel buffers.

	* linux/src/al_types.h: Changed extension typedef to AL_extension
	Corrected lame typedef that defined float6vparam to be a 3-element
	type.

	* linux/src/extensions/al_ext_loki.c: Added alBufferi_LOKI, to
	allow multichannel buffers.

	* linux/src/extensions/al_ext_loki.h: Added alBufferi_LOKI, to
	allow multichannel buffers.

	* linux/test/Makefile.in: Added case for new test program
	teststream2

	* linux/test/testcallback.c: Don't remember.

	* linux/test/testlib.c: Added code to fixup_function_pointers to
	load alBufferi_LOKI

	* linux/test/testlib.h: Added symbol that resolves to
	alBufferi_LOKI

	* linux/test/testpause3.c: Don't remember.

	* linux/test/teststream2.c: Added test case for multichannel
	streaming sounds.

2000-07-31  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/src/alc/alc_context.c (alcGetCurrentContext): Added
	alcGetCurrentContext, designed to return the context handle for
	the current context.
	(alcGetCurrentContext): small fix

2000-07-29  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/src/al_source.c: Fixed stupid bug in alSourcei, in which
	the value, when passed with the AL_BUFFER param, was incorrectly
	range checked as if it were a boolean, when the correct range
	checking should have checked to see that it was a valid buffer id.

2000-07-28  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/doc/openal.texi: Added FAQ question on avoiding the select
	for Vortex cards.

	* linux/src/al_config.c: Fixed handling in token_str_to_token to
	properly recognize booleans #t and #f.

	* linux/src/arch/linux/lin_dsp.c: Added code to make the boolean
	alrc var "native-use-select" work.  So if you set
	native-use-select to #f, the linux native driver won't use select.

	* linux/doc/openal.texi: Added FAQ section, and short description
	on how to enable ESD.

2000-07-27  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/doc/openal.texi: Fleshed out information on non-integral
	types, the al and alc subsections of the API section, and fixed up
	some of the nodes to make more sense.

	* linux/src/al_mixer.c: Important update to _alDestroyMixer, to
	ensure that sources associated with callback buffers get their
	source-destroy callback called when the source is either
	implicitly or explicitly stopped.

	* linux/src/al_main.c, src/al_main.h: changed slurp to _alSlurp

	* include/AL/alkludge.h: Removed trailing undefs

2000-07-24  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* linux/doc/openal.texi: Fleshed out sections on errors a little
	bit.

	* linux/src/arch/linux/lin_dsp.c: Added an ioctl call to request
	the fragment size from the sound card in set_native, so that weird
	bufsiz requests to set_native (ie, requests which are not powers
	of two) that get implicitly set to some power of two are reported
	to the calling function correctly.  A mismatch could potentially
	cause timing problems.

2000-07-21  Joseph I. Valenzuela  <tsaotsao@xanadu.lokigames-lan.com>

	* (first entry): This, being the first ChangeLog entry, will seek
	to address what has changed in the OpenAL source code with regard
	to the recent code commit, which has brought the Loki
	implementation closer to the proposed 1.0 specification.

	Users of the library will notice that the definitions for
	GenBuffers and GenSources no longer return the number of items
	successfully allocated.  This change is in deference to the policy
	of refusing to allocate anything less than the total request, and
	failing on partial allocation.

	Some functions have been removed from the implementation.  These
	are:

	GetErrorString -- duplicated functionality (use GetString)

	Most _LOKI functions have been moved such that they require an
	explicit GetProcAddress to resolve them.  The prototypes for these
	functions are located in the documentation (openal.info).  Some
	_LOKI functions have been removed.  A list of these are:

	ClearError_LOKI      --  functionality duplicated in spec
	SourceIsPlaying_LOKI --  functionality duplicated in spec

	Some source parameters have been removed, for reasons of reducing
	ambiguity and duplicated functionality.  These are:

	AL_SOURCE_AMBIENT      --  duplicated functionality
	AL_SOURCE_ABSOLUTE     --  converse of AL_SOURCE_RELATIVE

	AL_SOURCE_LOOPING is the new name for AL_LOOPING.

	This should be a complete catalog of all the changes introduced
	which will effect compilation and linkage of programs with OpenAL.
	This does not intend to describe the full implication of changes
	brought about by the new specification.  Please refer to the
	specification documentation for that.

	To aid future clarity, updates to the list of missing functions
	and changes brought about by the new implementation will be made
	directly to this ChangeLog entry, with a date appended when
	needed.  That way, there will be one centralized location for that
	sort of information.
